Index: /extensions/ContactForm/CHANGELOG
===================================================================
--- /extensions/ContactForm/CHANGELOG	(revision 8478)
+++ /extensions/ContactForm/CHANGELOG	(revision 8479)
@@ -1,2 +1,7 @@
+2011-01-05 1.1.7
+                  [r8479] jQuery not charged (old way since 2.1) bug:2065
+                  [r8478] Compatibility with "Stripped" theme bug:2098
+                  [r8458] Update nl_NL
+
 2010-12-19 1.1.6
                   [r7641] No display the ContactForm page when the principal bloc is hidden bug:2008
Index: /extensions/ContactForm/admin/themes/cf_config.tab.tpl
===================================================================
--- /extensions/ContactForm/admin/themes/cf_config.tab.tpl	(revision 8478)
+++ /extensions/ContactForm/admin/themes/cf_config.tab.tpl	(revision 8479)
@@ -1,2 +1,7 @@
+{html_head}
+  {known_script id="jquery.ui" src=$ROOT_URL|@cat:"themes/default/js/ui/packed/ui.core.packed.js"}
+  {known_script id="jquery.ui.tabs" src=$ROOT_URL|@cat:"themes/default/js/ui/packed/ui.tabs.packed.js"}
+{/html_head}
+
 <div class="titrePage">
     <h2>{$CF.TITLE} [{$CF.VERSION}]<br>{'cf_config'|@translate}</h2>
Index: /extensions/ContactForm/admin/themes/cf_emails.tab.tpl
===================================================================
--- /extensions/ContactForm/admin/themes/cf_emails.tab.tpl	(revision 8478)
+++ /extensions/ContactForm/admin/themes/cf_emails.tab.tpl	(revision 8479)
@@ -1,2 +1,7 @@
+{html_head}
+  {known_script id="jquery.ui" src=$ROOT_URL|@cat:"themes/default/js/ui/packed/ui.core.packed.js"}
+  {known_script id="jquery.ui.tabs" src=$ROOT_URL|@cat:"themes/default/js/ui/packed/ui.tabs.packed.js"}
+{/html_head}
+
 <div class="titrePage">
     <h2>{$CF.TITLE} [{$CF.VERSION}]<br>{'cf_emails'|@translate}</h2>
Index: /extensions/ContactForm/admin/themes/cf_language.tab.tpl
===================================================================
--- /extensions/ContactForm/admin/themes/cf_language.tab.tpl	(revision 8478)
+++ /extensions/ContactForm/admin/themes/cf_language.tab.tpl	(revision 8479)
@@ -1,2 +1,7 @@
+{html_head}
+  {known_script id="jquery.ui" src=$ROOT_URL|@cat:"themes/default/js/ui/packed/ui.core.packed.js"}
+  {known_script id="jquery.ui.tabs" src=$ROOT_URL|@cat:"themes/default/js/ui/packed/ui.tabs.packed.js"}
+{/html_head}
+
 <script type="text/javascript">
 function set_active(key) {ldelim}
Index: /extensions/ContactForm/include/cf_common.inc.php
===================================================================
--- /extensions/ContactForm/include/cf_common.inc.php	(revision 8478)
+++ /extensions/ContactForm/include/cf_common.inc.php	(revision 8479)
@@ -7,5 +7,5 @@
 
 // Version
-define('CF_VERSION',            '1.1.6');
+define('CF_VERSION',            '1.1.7');
 define('CF_TITLE',              'cf_plugin_name');
 
Index: /extensions/ContactForm/include/contactform.css
===================================================================
--- /extensions/ContactForm/include/contactform.css	(revision 8478)
+++ /extensions/ContactForm/include/contactform.css	(revision 8479)
@@ -42,2 +42,28 @@
 	margin-left: 5px;
 }
+
+/* jQuery ui resizable */
+.ui-resizable { position: relative; }
+.ui-wrapper { border: 0; }
+.ui-wrapper input, .ui-wrapper textarea { border: 0; }
+
+/* Global handle styles */
+.ui-resizable-handle { position: absolute; display: none; font-size: 0.1px; }
+.ui-resizable .ui-resizable-handle { display: block; }
+body .ui-resizable-disabled .ui-resizable-handle { display: none; } /* use 'body' to make it more specific (css order) */
+body .ui-resizable-autohide .ui-resizable-handle { display: none; } /* use 'body' to make it more specific (css order) */
+.ui-resizable-n {
+    cursor: n-resize;
+    height: 6px;
+    width: 100%;
+    top: 0px;
+    left: 0px;
+    background: transparent url('../images/resizable-n.gif') no-repeat scroll center top;
+}
+.ui-resizable-s { cursor: s-resize; height: 6px; width: 100%; bottom: 0px; left: 0px; background: transparent url(../../../admin/themes/roma/images/resizable-s.gif) no-repeat scroll center top; }
+.ui-resizable-e { cursor: e-resize; width: 6px; right: 0px; top: 0px; height: 100%; background: transparent url(../../../admin/themes/roma/images/resizable-e.gif) no-repeat scroll right center; }
+.ui-resizable-w { cursor: w-resize; width: 6px; left: 0px; top: 0px; height: 100%; background: transparent url(../../../admin/themes/roma/images/resizable-w.gif) no-repeat scroll right center; }
+.ui-resizable-se { cursor: se-resize; width: 9px; height: 9px; right: 0px; bottom: 0px; background: transparent url(../../../admin/themes/roma/images/resizable-se.gif); }
+.ui-resizable-sw { cursor: sw-resize; width: 9px; height: 9px; left: 0px; bottom: 0px; background: transparent url(../../../admin/themes/roma/images/resizable-sw.gif); }
+.ui-resizable-nw { cursor: nw-resize; width: 9px; height: 9px; left: 0px; top: 0px; background: transparent url(../../../admin/themes/roma/images/resizable-nw.gif); }
+.ui-resizable-ne { cursor: ne-resize; width: 9px; height: 9px; right: 0px; top: 0px; background: transparent url(../../../admin/themes/roma/images/resizable-ne.gif); }
Index: /extensions/ContactForm/main.inc.php
===================================================================
--- /extensions/ContactForm/main.inc.php	(revision 8478)
+++ /extensions/ContactForm/main.inc.php	(revision 8479)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: Contact Form
-Version: 1.1.6
+Version: 1.1.7
 Description: Add a "Contact" item in the Menu block to offer a contact form to users
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=304
Index: /extensions/ContactForm/themes/cf_button.tpl
===================================================================
--- /extensions/ContactForm/themes/cf_button.tpl	(revision 8478)
+++ /extensions/ContactForm/themes/cf_button.tpl	(revision 8479)
@@ -1,2 +1,6 @@
+{html_head}
+  {known_script id="jquery.ui" src=$ROOT_URL|@cat:"themes/default/js/ui/packed/ui.core.packed.js"}
+{/html_head}
+
 <div class="cf-button">
 <input type="button" value="{'cf_hide'|@translate}" onclick="hide('cf_messages');">
Index: /extensions/ContactForm/themes/cf_form.tpl
===================================================================
--- /extensions/ContactForm/themes/cf_form.tpl	(revision 8478)
+++ /extensions/ContactForm/themes/cf_form.tpl	(revision 8479)
@@ -1,2 +1,8 @@
+{html_head}
+  {known_script id="jquery" src=$ROOT_URL|@cat:"themes/default/js/jquery.packed.js"}
+  {known_script id="jquery.ui" src=$ROOT_URL|@cat:"themes/default/js/ui/packed/ui.core.packed.js"}
+  {known_script id="jquery.ui.resizable" src=$ROOT_URL|@cat:"themes/default/js/ui/packed/ui.resizable.packed.js"}
+{/html_head}
+
 {literal}
 <script type="text/javascript">
Index: /extensions/ContactForm/themes/simple-black/cf_form.tpl
===================================================================
--- /extensions/ContactForm/themes/simple-black/cf_form.tpl	(revision 8478)
+++ /extensions/ContactForm/themes/simple-black/cf_form.tpl	(revision 8479)
@@ -1,2 +1,8 @@
+{html_head}
+  <!-- {known_script id="jquery" src=$ROOT_URL|@cat:"themes/default/js/jquery.packed.js"} -->
+  {known_script id="jquery.ui" src=$ROOT_URL|@cat:"themes/default/js/ui/packed/ui.core.packed.js"}
+  {known_script id="jquery.ui.resizable" src=$ROOT_URL|@cat:"themes/default/js/ui/packed/ui.resizable.packed.js"}
+{/html_head}
+
 {literal}
 <script type="text/javascript">
Index: /extensions/ContactForm/themes/simple-sunset/cf_form.tpl
===================================================================
--- /extensions/ContactForm/themes/simple-sunset/cf_form.tpl	(revision 8478)
+++ /extensions/ContactForm/themes/simple-sunset/cf_form.tpl	(revision 8479)
@@ -1,2 +1,8 @@
+{html_head}
+  <!-- {known_script id="jquery" src=$ROOT_URL|@cat:"themes/default/js/jquery.packed.js"} -->
+  {known_script id="jquery.ui" src=$ROOT_URL|@cat:"themes/default/js/ui/packed/ui.core.packed.js"}
+  {known_script id="jquery.ui.resizable" src=$ROOT_URL|@cat:"themes/default/js/ui/packed/ui.resizable.packed.js"}
+{/html_head}
+
 {literal}
 <script type="text/javascript">
Index: /extensions/ContactForm/themes/simple-white/cf_form.tpl
===================================================================
--- /extensions/ContactForm/themes/simple-white/cf_form.tpl	(revision 8478)
+++ /extensions/ContactForm/themes/simple-white/cf_form.tpl	(revision 8479)
@@ -1,2 +1,8 @@
+{html_head}
+  <!-- {known_script id="jquery" src=$ROOT_URL|@cat:"themes/default/js/jquery.packed.js"} -->
+  {known_script id="jquery.ui" src=$ROOT_URL|@cat:"themes/default/js/ui/packed/ui.core.packed.js"}
+  {known_script id="jquery.ui.resizable" src=$ROOT_URL|@cat:"themes/default/js/ui/packed/ui.resizable.packed.js"}
+{/html_head}
+
 {literal}
 <script type="text/javascript">
Index: /extensions/ContactForm/themes/simple/cf_form.tpl
===================================================================
--- /extensions/ContactForm/themes/simple/cf_form.tpl	(revision 8478)
+++ /extensions/ContactForm/themes/simple/cf_form.tpl	(revision 8479)
@@ -1,2 +1,8 @@
+{html_head}
+  <!-- {known_script id="jquery" src=$ROOT_URL|@cat:"themes/default/js/jquery.packed.js"} -->
+  {known_script id="jquery.ui" src=$ROOT_URL|@cat:"themes/default/js/ui/packed/ui.core.packed.js"}
+  {known_script id="jquery.ui.resizable" src=$ROOT_URL|@cat:"themes/default/js/ui/packed/ui.resizable.packed.js"}
+{/html_head}
+
 {literal}
 <script type="text/javascript">