Index: extensions/ContactForm/admin/cf_config.php
===================================================================
--- extensions/ContactForm/admin/cf_config.php	(revision 8480)
+++ extensions/ContactForm/admin/cf_config.php	(revision 8482)
@@ -1,4 +1,3 @@
 <?php
-/* $Id: cf_config.php,v 1.2 2009/08/14 08:05:38 Criss Exp $ */
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
 check_status(ACCESS_ADMINISTRATOR);
Index: extensions/ContactForm/admin/cf_config.tab.php
===================================================================
--- extensions/ContactForm/admin/cf_config.tab.php	(revision 8480)
+++ extensions/ContactForm/admin/cf_config.tab.php	(revision 8482)
@@ -1,4 +1,3 @@
 <?php
-/* $Id: cf_config.tab.php,v 1.3 2009/08/18 14:40:36 Criss Exp $ */
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
 check_status(ACCESS_ADMINISTRATOR);
Index: extensions/ContactForm/admin/cf_history.tab.php
===================================================================
--- extensions/ContactForm/admin/cf_history.tab.php	(revision 8480)
+++ extensions/ContactForm/admin/cf_history.tab.php	(revision 8482)
@@ -1,4 +1,3 @@
 <?php
-/* $Id: cf_history.tab.php,v 1.1 2009/08/21 09:24:18 Criss Exp $ */
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
 check_status(ACCESS_ADMINISTRATOR);
Index: extensions/ContactForm/admin/cf_language.tab.php
===================================================================
--- extensions/ContactForm/admin/cf_language.tab.php	(revision 8480)
+++ extensions/ContactForm/admin/cf_language.tab.php	(revision 8482)
@@ -1,4 +1,3 @@
 <?php
-/* $Id: cf_language.tab.php,v 1.5 2009/08/19 14:51:59 Criss Exp $ */
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
 check_status(ACCESS_ADMINISTRATOR);
Index: extensions/ContactForm/config.php
===================================================================
--- extensions/ContactForm/config.php	(revision 8480)
+++ extensions/ContactForm/config.php	(revision 8482)
@@ -1,4 +1,3 @@
 <?php
-/* $Id: config.php,v 1.5 2009/09/01 17:10:49 Criss Exp $ */
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
 check_status(ACCESS_ADMINISTRATOR);
Index: extensions/ContactForm/include/cf_common.inc.php
===================================================================
--- extensions/ContactForm/include/cf_common.inc.php	(revision 8480)
+++ extensions/ContactForm/include/cf_common.inc.php	(revision 8482)
@@ -90,4 +90,5 @@
 $cf_config_lang_keys['contact_form_title'] = array(
     CF_LANG_DEFAULT => l10n('contact_form_title'),
+	'cs_CZ' => 'Kontaktní formulář',
 	'de_DE' => 'Kontaktformular',
     'en_UK' => 'Contact form',
@@ -96,16 +97,15 @@
 	'hu_HU' => 'Kapcsolati urlap',
     'it_IT' => 'Formulario di contatto',
+	'lv_LV' => 'Kontaktforma',
 	'nl_NL' => 'Contact formulier',
 	'pl_PL' => 'Formularz kontaktu',
+	'ru_RU' => 'Контактная информация',
 	'sk_SK' => 'Kontaktný formulár',
-	'ru_RU' => 'Контактная информация',
-	'tr_TR' => 'İletişim formu',
-	'cs_CZ' => 'Kontaktní formulář',
-	'lv_LV' => 'Kontaktforma',
 	'sv_SE' => 'Kontakt formulär',
-	'nl_NL' => 'Contact formulier'
+	'tr_TR' => 'İletişim formu'
 );
 $cf_config_lang_keys['contact_form'] = array(
     CF_LANG_DEFAULT => l10n('contact_form'),
+	'cs_CZ' => 'Kontakt',
 	'de_DE' => 'Kontaktformular',
     'en_UK' => 'Contact',
@@ -114,16 +114,15 @@
 	'hu_HU' => 'Kapcsolat',
     'it_IT' => 'Contattare',
+	'lv_LV' => 'Kontaktēt',
 	'nl_NL' => 'Contact',
 	'pl_PL' => 'Kontakt',
+	'ru_RU' => 'Контакты',
 	'sk_SK' => 'Kontakt',
-	'ru_RU' => 'Контакты',
-	'tr_TR' => 'İletişim',
-	'cs_CZ' => 'Kontakt',
-	'lv_LV' => 'Kontaktēt',
 	'sv_SE' => 'Kontakt',
-	'nl_NL' => 'Contact'
+	'tr_TR' => 'İletişim'
 ); 
 $cf_config_lang_keys['contact_form_link'] = array(
     CF_LANG_DEFAULT => l10n('contact_form_link'),
+	'cs_CZ' => 'Kontakt správce webu',
 	'de_DE' => 'Den Webmaster kontaktieren',
     'en_UK' => 'Contact webmaster',
@@ -132,13 +131,11 @@
 	'hu_HU' => 'Webmester kapcsolat',
     'it_IT' => 'Contattare il webmaster',
+	'lv_LV' => 'Kontaktēt ar webmāsteru',
 	'nl_NL' => 'Contact webmaster',
 	'pl_PL' => 'Kontakt do webmastera',
+	'ru_RU' => 'Contact webmaster',
 	'sk_SK' => 'Kontaktovanie webmastera',
-	'ru_RU' => 'Contact webmaster',
-	'tr_TR' => 'İletişim- Site yöneticisi',
-	'cs_CZ' => 'Kontakt správce webu',
-	'lv_LV' => 'Kontaktēt ar webmāsteru',
 	'sv_SE' => 'Kontakta webmaster',
-	'nl_NL' => 'Contact webmaster'
+	'tr_TR' => 'İletişim- Site yöneticisi'
 );
 CF_Config_Lang::$default_keys = $cf_config_lang_keys;
Index: extensions/ContactForm/language/cs_CZ/plugin.lang.php
===================================================================
--- extensions/ContactForm/language/cs_CZ/plugin.lang.php	(revision 8480)
+++ extensions/ContactForm/language/cs_CZ/plugin.lang.php	(revision 8482)
@@ -1,4 +1,3 @@
 <?php
-/* $Id$ */
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
 global $lang;
Index: extensions/ContactForm/language/de_DE/plugin.lang.php
===================================================================
--- extensions/ContactForm/language/de_DE/plugin.lang.php	(revision 8480)
+++ extensions/ContactForm/language/de_DE/plugin.lang.php	(revision 8482)
@@ -1,4 +1,3 @@
 <?php
-/* $Id: plugin.lang.php,v 1.11 2009/09/01 17:10:50 Criss Exp $ */
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
 global $lang;
Index: extensions/ContactForm/language/en_UK/plugin.lang.php
===================================================================
--- extensions/ContactForm/language/en_UK/plugin.lang.php	(revision 8480)
+++ extensions/ContactForm/language/en_UK/plugin.lang.php	(revision 8482)
@@ -1,4 +1,3 @@
 <?php
-/* $Id: plugin.lang.php,v 1.11 2009/09/01 17:10:50 Criss Exp $ */
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
 global $lang;
Index: extensions/ContactForm/language/es_ES/plugin.lang.php
===================================================================
--- extensions/ContactForm/language/es_ES/plugin.lang.php	(revision 8480)
+++ extensions/ContactForm/language/es_ES/plugin.lang.php	(revision 8482)
@@ -1,4 +1,3 @@
 <?php
-/* $Id: plugin.lang.php 3947 2009-09-29 15:28:55Z Criss $ */
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
 global $lang;
Index: extensions/ContactForm/language/fr_FR/plugin.lang.php
===================================================================
--- extensions/ContactForm/language/fr_FR/plugin.lang.php	(revision 8480)
+++ extensions/ContactForm/language/fr_FR/plugin.lang.php	(revision 8482)
@@ -1,4 +1,3 @@
 <?php
-/* $Id: plugin.lang.php,v 1.11 2009/09/01 17:10:49 Criss Exp $ */
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
 global $lang;
Index: extensions/ContactForm/language/hu_HU/plugin.lang.php
===================================================================
--- extensions/ContactForm/language/hu_HU/plugin.lang.php	(revision 8480)
+++ extensions/ContactForm/language/hu_HU/plugin.lang.php	(revision 8482)
@@ -1,4 +1,3 @@
 <?php
-/* $Id: plugin.lang.php,v 1.11 2009/09/01 17:10:50 Criss Exp $ */
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
 global $lang;
Index: extensions/ContactForm/language/it_IT/plugin.lang.php
===================================================================
--- extensions/ContactForm/language/it_IT/plugin.lang.php	(revision 8480)
+++ extensions/ContactForm/language/it_IT/plugin.lang.php	(revision 8482)
@@ -1,4 +1,3 @@
 <?php
-/* $Id: plugin.lang.php,v 1.11 2009/09/01 17:10:50 Criss Exp $ */
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
 global $lang;
Index: extensions/ContactForm/language/lv_LV/plugin.lang.php
===================================================================
--- extensions/ContactForm/language/lv_LV/plugin.lang.php	(revision 8480)
+++ extensions/ContactForm/language/lv_LV/plugin.lang.php	(revision 8482)
@@ -1,4 +1,3 @@
 <?php
-/* $Id$ */
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
 global $lang;
Index: extensions/ContactForm/language/nl_NL/plugin.lang.php
===================================================================
--- extensions/ContactForm/language/nl_NL/plugin.lang.php	(revision 8480)
+++ extensions/ContactForm/language/nl_NL/plugin.lang.php	(revision 8482)
@@ -1,4 +1,3 @@
 <?php
-/* $Id$ */
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
 global $lang;
Index: extensions/ContactForm/language/pl_PL/plugin.lang.php
===================================================================
--- extensions/ContactForm/language/pl_PL/plugin.lang.php	(revision 8480)
+++ extensions/ContactForm/language/pl_PL/plugin.lang.php	(revision 8482)
@@ -1,5 +1,3 @@
 <?php
-/* $Id: plugin.lang.php 3864 2009-09-17 22:55:20Z ddtddt $ */
-// translated by emcek
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
 global $lang;
@@ -88,3 +86,5 @@
 $lang['cf_file_empty'] = 'Plik jest pusty';
 $lang['cf_format_date'] = '%D %M %Y';
+
+// translated by emcek
 ?>
Index: extensions/ContactForm/language/ru_RU/plugin.lang.php
===================================================================
--- extensions/ContactForm/language/ru_RU/plugin.lang.php	(revision 8480)
+++ extensions/ContactForm/language/ru_RU/plugin.lang.php	(revision 8482)
@@ -1,4 +1,3 @@
 <?php
-/* $Id$ */
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
 global $lang;
Index: extensions/ContactForm/language/sk_SK/plugin.lang.php
===================================================================
--- extensions/ContactForm/language/sk_SK/plugin.lang.php	(revision 8480)
+++ extensions/ContactForm/language/sk_SK/plugin.lang.php	(revision 8482)
@@ -1,4 +1,3 @@
 <?php
-/* $Id$ */
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
 global $lang;
Index: extensions/ContactForm/language/sv_SE/plugin.lang.php
===================================================================
--- extensions/ContactForm/language/sv_SE/plugin.lang.php	(revision 8480)
+++ extensions/ContactForm/language/sv_SE/plugin.lang.php	(revision 8482)
@@ -1,4 +1,3 @@
 <?php
-/* $Id$ */
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
 global $lang;
Index: extensions/ContactForm/language/tr_TR/plugin.lang.php
===================================================================
--- extensions/ContactForm/language/tr_TR/plugin.lang.php	(revision 8480)
+++ extensions/ContactForm/language/tr_TR/plugin.lang.php	(revision 8482)
@@ -1,4 +1,3 @@
 <?php
-/* $Id$ */
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
 global $lang;