Index: trunk/language/sk_SK/admin.lang.php
===================================================================
--- trunk/language/sk_SK/admin.lang.php	(revision 8494)
+++ trunk/language/sk_SK/admin.lang.php	(revision 8495)
@@ -754,3 +754,43 @@
 $lang['Unknown upload error'] = 'Neznáma chyba nahrávania';
 $lang['Error on file "%s" : %s'] = 'Chyba súboru "%s" : %s';
+$lang['automatic order'] = 'automatické zoradenie';
+$lang['manual order'] = 'manuálne zoradenie';
+$lang['Albums automatically sorted'] = 'Automaticky triedené albumy';
+$lang['Keep high definition'] = 'Udržať vysoké rozlíšenie';
+$lang['The high definition maximum width must be a number between %d and %d'] = 'Šírka vysokého rozlíšenia musí byť číslo medzi %d a %d';
+$lang['The high definition maximum height must be a number between %d and %d'] = 'Výška vysokého rozlíšenia musí byť číslo medzi %d a %d';
+$lang['The high definition image quality must be a number between %d and %d'] = 'Kvalita fotky vo vysokom rozlíšení musí byť číslo medzi %d a %d';
+$lang['Batch Manager'] = 'Správca dávky';
+$lang['include child albums'] = 'vrátane podalbumov';
+$lang['Selection'] = 'Výber';
+$lang['Action'] = 'Akcia';
+$lang['Set author'] = 'Nastavenie autora';
+$lang['Set title'] = 'Nastavenie názvu';
+$lang['Set creation date'] = 'Nastavenie dátumu vytvorenia';
+$lang['Apply action'] = 'Pridaj akciu';
+$lang['on the %d selected photos'] = 'na %d vybraných fotografií';
+$lang['%d of %d photos selected'] = '%d z %d vybraných fotografií';
+$lang['No photo selected, %d photos in current set'] = 'Žiadna fotografia vybraná, %d fotografií v súčasnom súbore';
+$lang['All %d photos are selected'] = 'Všetkých %d fotografií vybraných';
+$lang['remove this filter'] = 'odstráň tento filter';
+$lang['predefined filter'] = 'predefinovaný filter';
+$lang['last import'] = 'ostatný import';
+$lang['with no virtual album'] = 'bez virtuálnych albumov';
+$lang['duplicates'] = 'duplicity';
+$lang['Add a filter'] = 'Pridaj filter';
+$lang['Remove all filters'] = 'Odstráň všetky filtre';
+$lang['Refresh photo set'] = 'Obnoviť foto súbor';
+$lang['The whole page'] = 'Celá stránka';
+$lang['The whole set'] = 'Celý súbor';
+$lang['thumbnails per page'] = 'zmenšeniny na stránku';
+$lang['No photo in the current set.'] = 'Žiadna fotografia v súčasnom súbore.';
+$lang['No photo selected, no action possible.'] = 'Nie je označená žiadna fotografia, nie je možné pokračovať v akcii.';
+$lang['Choose an action'] = 'Zvoľ akciu';
+$lang['remove author'] = 'odstrániť autora';
+$lang['Type here the author name'] = 'Sem napíšte meno autora';
+$lang['remove title'] = 'odstrániť názov';
+$lang['Type here the title'] = 'Sem napíšte názov';
+$lang['remove creation date'] = 'odstrániť dátum vytvorenia';
+$lang['with no album'] = 'bez albumu';
+$lang['with no tag'] = 'bez kľúčového slova';
 ?>
Index: trunk/language/sk_SK/common.lang.php
===================================================================
--- trunk/language/sk_SK/common.lang.php	(revision 8494)
+++ trunk/language/sk_SK/common.lang.php	(revision 8495)
@@ -331,7 +331,5 @@
 $lang['Waiting page: %s'] = 'Čakanie na stránku: %s';
 $lang['Picture uploaded by %s'] = 'Fotografia nahraná %s';
-
 $lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'Zlý stav pre používateľa "hosť", bude použitý východzí stav. Prosím informujte webmastra.';
-
 $lang['Administrator, webmaster and special user cannot use this method'] = 'Administrátor, webmaster a špeciálny používateľ nemôžu použiť túto metódu.';
 $lang['a user use already this mail address'] = 'táto e-mailová adresa je už používaná';
@@ -361,10 +359,6 @@
 $lang['show tag cloud'] = 'zobraziť kľúčové slová v bubline';
 $lang['cloud'] = 'bublina';
-// --------- Starting below: New or revised $lang ---- from Colibri (2.1)
-
 $lang['Are you sure?'] = 'Ste si istý?';
 $lang['delete this comment'] = 'vymazať tento komentár';
-
-// missing translations 2.1.0
 $lang['Reset to default values'] = 'Obnoviť východzie hodnoty';
 $lang['delete all images from your favorites'] = 'vymazať všetky obrázky z Vašich obľúbených';
@@ -388,4 +382,6 @@
 $lang['%d Kb'] = '%d Kb';
 $lang['IP: %s'] = 'IP: %s';
+$lang['%d new comment'] = '%d nový komentár';
+$lang['%d new comments'] = '%d nové komentáre';
 
 ?>