Index: /trunk/language/es_ES/admin.lang.php
===================================================================
--- /trunk/language/es_ES/admin.lang.php	(revision 8496)
+++ /trunk/language/es_ES/admin.lang.php	(revision 8497)
@@ -63,5 +63,5 @@
 $lang['Caddie management'] = 'Gestión de la cesta';
 $lang['Caddie'] = 'Cesta';
-$lang['Albums authorized thanks to group associations'] = 'Albums accessibles grâce à l\'appartenance aux groupes';
+$lang['Albums authorized thanks to group associations'] = 'Álbum disponible por partenecer al grupo';
 $lang['Album manual order was saved'] = 'El orden manual de los albumes se guardo con exito';
 $lang['Album elements associated to the following albums: %s'] = 'Les fotos del àlbum fueron asociados a los àlbumes siguientes : %s';
@@ -128,5 +128,5 @@
 $lang['Other private albums'] = 'Otros àlbumes privados';
 $lang['Page banner'] = 'Bandera de las páginas';
-$lang['Parent album'] = 'Album parent';
+$lang['Parent album'] = 'Álbum padre';
 $lang['Path'] = 'Camino';
 $lang['Permalink'] = 'Enlace permanente';
@@ -163,5 +163,5 @@
 $lang['Status'] = 'Estatuto';
 $lang['Statistics'] = 'Estadísticas';
-$lang['Storage album'] = 'Album de stockage';
+$lang['Storage album'] = 'Album de almacenamiento';
 $lang['Sum of rates'] = 'Suma de las notas';
 $lang['Tag "%s" already exists'] = 'La etiqueta "%s" ya existe';
@@ -232,5 +232,4 @@
 $lang['The name of a group must not contain " or \' or be empty.'] = 'El nombre del grupo no debe contener "or \' y no debe estar vacío.';
 $lang['This name is already used by another group.'] = 'Este nombre es ya utilizado por otro grupo.';
-$lang[''] = '';
 $lang['High definition'] = 'Alta definición';
 $lang['jump to album'] = 'Ir al àlbum';
@@ -740,3 +739,55 @@
 $lang['Pending Comments'] = 'Comentarios pendientes';
 $lang['Menu Management'] = 'Menú';
+$lang['In your php.ini file, the upload_max_filesize (%sB) is bigger than post_max_size (%sB), you should change this setting'] = 'En el archivo php.ini, la variable upload_max_filesize (% SB) es mayor que post_max_size (SB%), debe cambiar esta configuración';
+$lang['Exif extension not available, admin should disable exif use'] = 'La extension Exif no esta disponible, un administrador deberia deshabilitar el uso de metadatos Exif';
+$lang['The uploaded file exceeds the upload_max_filesize directive in php.ini: %sB'] = 'El peso del archivo subido excede el valor de upload_max_filesize en el archivo php.ini: sB%';
+$lang['The uploaded files exceed the post_max_size directive in php.ini: %sB'] = 'El peso total de los archivos transferidos excede el valor de post_max_size en su archivo php.ini: sB%';
+$lang['The uploaded file exceeds the MAX_FILE_SIZE directive that was specified in the HTML form'] = 'El peso del archivo subido excede el MAX_FILE_SIZE definido en el formulario HTML';
+$lang['The uploaded file was only partially uploaded'] = 'El archivo fue sólo parcialmente subido';
+$lang['No file was uploaded'] = 'Ningun fichero ha sido subido';
+$lang['Missing a temporary folder'] = 'No se puede encontrar el directorio temporal';
+$lang['Failed to write file to disk'] = 'No se pudo escribir el archivo en el servidor';
+$lang['File upload stopped by extension'] = 'La transferencia de archivos fue detenido por una extensión';
+$lang['Unknown upload error'] = 'Error desconocido durante la transferencia';
+$lang['Error on file "%s" : %s'] = 'Error en el archivo "%s" : %s';
+$lang['automatic order'] = 'orden automático';
+$lang['manual order'] = 'orden manual';
+$lang['Albums automatically sorted'] = 'Las categorías han sido clasificadas automaticamente';
+$lang['Keep high definition'] = 'Mantener la alta definición';
+$lang['The high definition maximum width must be a number between %d and %d'] = 'La anchura máxima de alta definición debe ser un número entre %d et %d';
+$lang['The high definition maximum height must be a number between %d and %d'] = 'La altura máxima de alta definición debe ser un número entre %d et %d';
+$lang['The high definition image quality must be a number between %d and %d'] = 'La calidad de la imagen para la alta definición tiene que ser un número entre %d et %d';
+$lang['Batch Manager'] = 'Gestion por lote';
+$lang['include child albums'] = 'Incluir los sub-albumes';
+$lang['Selection'] = 'Selección';
+$lang['Action'] = 'Acción';
+$lang['Set author'] = 'Definir el autor';
+$lang['Set title'] = 'Definir el titulo';
+$lang['Set creation date'] = 'Establecer la fecha de creación';
+$lang['Apply action'] = 'Aplicar la acción';
+$lang['on the %d selected photos'] = 'en las %d fotos seleccionadas';
+$lang['%d of %d photos selected'] = '%d fotos sobre %d estan selecciónadas';
+$lang['No photo selected, %d photos in current set'] = 'Ninguna foto selecciónada entre las %d fotos del lote';
+$lang['All %d photos are selected'] = 'Todas las %d fotos del lote han sido selecciónada';
+$lang['remove this filter'] = 'eliminar este filtro';
+$lang['predefined filter'] = 'filtro predefinido';
+$lang['last import'] = 'Última importación';
+$lang['with no virtual album'] = 'sin album virtual';
+$lang['duplicates'] = 'Duplicados';
+$lang['Add a filter'] = 'Agregar un filtro';
+$lang['Remove all filters'] = 'Eliminar todos los filtros';
+$lang['Refresh photo set'] = 'Actualizar el lote de fotos';
+$lang['The whole page'] = 'Página entera';
+$lang['The whole set'] = 'La totalidad del lote';
+$lang['thumbnails per page'] = 'miniaturas por página';
+$lang['No photo in the current set.'] = 'No hay imagen en el lote.';
+$lang['No photo selected, no action possible.'] = 'No hay foto seleccionada, no hay acción posible.';
+$lang['Choose an action'] = 'Seleccione una acción';
+$lang['remove author'] = 'eliminar el autor';
+$lang['Type here the author name'] = 'Escriba el nombre del autor';
+$lang['remove title'] = 'eliminar el título';
+$lang['Type here the title'] = 'Introduzca el título aquí';
+$lang['remove creation date'] = 'eliminar la fecha de creación';
+$lang['with no album'] = 'sin album';
+$lang['with no tag'] = 'sin etiqueta';
 ?>
Index: /trunk/tools/language/translation_validated.inc.php
===================================================================
--- /trunk/tools/language/translation_validated.inc.php	(revision 8496)
+++ /trunk/tools/language/translation_validated.inc.php	(revision 8497)
@@ -162,5 +162,5 @@
 	'BUGS',
 	'step1_host_info',
-	'',
+	'Albums',
 	'General',
 	'Local',