Index: trunk/language/ca_ES/admin.lang.php
===================================================================
--- trunk/language/ca_ES/admin.lang.php	(revision 8498)
+++ trunk/language/ca_ES/admin.lang.php	(revision 8499)
@@ -60,17 +60,10 @@
 $lang['Apply to sub-albums'] = 'Aplica a les subcategories';
 $lang['Associated'] = 'Associat';
-$lang['Association to categories'] = 'Associació de categories';
 $lang['Batch management'] = 'Gestió per lots';
 $lang['Caddie management'] = 'Gestió del carret';
 $lang['Caddie'] = 'Carret';
-
-
-
 $lang['Albums authorized thanks to group associations'] = 'Categories authorized thanks to group associations';  
 $lang['Album manual order was saved'] = 'Categories manual order was saved';
 $lang['Album elements associated to the following albums: %s'] = 'Category elements associated to the following categories: %s';
-
-
-
 $lang['Check for upgrade failed for unknown reasons.'] = 'Check for upgrade failed for unknown reasons.';
 $lang['Check for upgrade'] = 'Comprova si hi ha actualitzacions';
@@ -175,6 +168,4 @@
 $lang['Tag "%s" was added'] = 'L\'etiqueta "%s" estaba afegida';
 $lang['Tag selection'] = 'Selecció d\'etiquetes';
-$lang['Take selected elements out of caddie'] = 'Treu els elements seleccionats fora del carret';
-$lang['The following tag were deleted'] = 'La següent etiqueta estava eliminada';
 $lang['The %d following tags were deleted'] = 'Les etiquetes següents %d estaven eliminades';
 $lang['Unable to check for upgrade.'] = 'No es pot verificar per actualitzar.';
@@ -187,9 +178,4 @@
 $lang['Validation'] = 'Validació';
 $lang['Version'] = 'Versió';
-
-
-
-
-$lang['Virtual categories movement'] = 'Virtual categories movement';
 $lang['Virtual albums to move'] = 'Virtual categories to move';
 $lang['Virtual album name'] = 'Virtual category name';
@@ -200,5 +186,4 @@
 $lang['You need to confirm deletion'] = 'You need to confirm deletion';
 $lang['add tags'] = 'add tags';
-$lang['Adviser'] = 'Adviser';
 $lang['Associate to album'] = 'associate to category';
 $lang['associate to group'] = 'associate to group';
@@ -216,5 +201,4 @@
 $lang['Virtual album added'] = 'Virtual category added';
 $lang['Virtual album deleted'] = 'Virtual category deleted';
-$lang['Album'] = 'Category';
 $lang['Access type'] = 'Tipus d\'accès';
 $lang['Comments'] = 'Comentaris';
@@ -241,5 +225,4 @@
 $lang['first element added on %s'] = 'primer element afegit a %s';
 $lang['Forbidden'] = 'Prohibit';
-$lang['General'] = 'General';
 $lang['global mode'] = 'mode global';
 $lang['group "%s" added'] = 'grup "%s" afegit';
@@ -250,6 +233,4 @@
 $lang['This name is already used by another group.'] = 'Aquest nom ja està en us per un altre grup.';
 $lang['Groups'] = 'Grups';
-$lang['Instructions'] = 'Instruccions';
-$lang[''] = '';
 $lang['High definition'] = 'Alta definició';
 $lang['jump to album'] = 'salta a la categoria';
@@ -265,14 +246,8 @@
 $lang['Execution time is out, treatment must be continue [Estimated time: %d second].'] = 'El temps d\'execució s\'ha acabat, el tractament ha de continuar [Temps estimat: %d segon].';
 $lang['Execution time is out, treatment must be continue [Estimated time: %d seconds].'] = 'El temps d\'execució s\'ha acabat, el tractament ha de continuar [Temps estimat: %d segons].';
-
-
-
 $lang['Prepared time for list of users to send mail is limited. Others users are not listed.'] = 'Prepared time for list of users to send mail is limited. Others users are not listed.';
 $lang['Time to send mail is limited. Others mails are skipped.'] = 'Time to send mail is limited. Others mails are skipped.';
 $lang['To send ?'] = 'To send ?';
 $lang['Last send'] = 'Last send';
-
-
-
 $lang['email'] = 'correu electrònic';
 $lang['User'] = 'Usuari';
@@ -345,13 +320,8 @@
 $lang['Properties'] = 'Propietats';
 $lang['public'] = 'públic';
-
-
 $lang['Purge never used notification feeds'] = 'Purge never used notification feeds';
 $lang['Purge sessions'] = 'Purge sessions';
-
-
 $lang['randomly represented'] = 'representació aleatòria';
 $lang['registration date'] = 'data de registre';
-$lang['Remote site'] = 'Lloc remot';
 $lang['clean'] = 'neteja';
 $lang['remove remote listing.xml file'] = 'elimina el fitxer remot listing.xml';
@@ -363,15 +333,8 @@
 $lang['test'] = 'test';
 $lang['test this remote site'] = 'testeja aquest lloc remot';
-$lang['Remote site url must start by http or https and must only contain characters among "/", "a-zA-Z0-9", "-" or "_"'] = 'La url del lloc remot ha de començar per http o https i només pot contenir caràcters "/", "a-zA-Z0-9", "-" o "_"';
 $lang['remove tags'] = 'elimina etiquetes';
 $lang['Repair and optimize database'] = 'Repara i optimitza la base de dades';
 $lang['selection'] = 'selecciona';
-
-
-
-
 $lang['set to'] = 'set to';
-
-
 $lang['singly represented'] = 'representa per separat';
 $lang['This site already exists'] = 'Aquest lloc ja existeix';
@@ -426,5 +389,4 @@
 $lang['Unlocked'] = 'Desbloquejat';
 $lang['unset'] = 'no definit';
-$lang['Move up'] = 'Mou amunt';
 $lang['Update albums informations'] = 'Actualitza la informació de les categories';
 $lang['Update images informations'] = 'Actualitza la informació de les imatges';
@@ -442,11 +404,5 @@
 $lang['File/directory read error'] = 'Error de lectura del Fitxer/directori';
 $lang['The file or directory cannot be accessed (either it does not exist or the access is denied)'] = 'No es pot accedir al fitxer o directori (potser no existeix o l\'accès està denegat)';
-
-
-
 $lang['a picture filetype requires a thumbnail. The thumbnail must be present in the sub-directory "thumbnail" of the album directory. The thumbnail filename must start with the configured thumbnail prefix and the extension must be among the following list :'] = 'a picture filetype requires a thumbnail. The thumbnail must be present in the sub-directory "thumbnail" of the category directory. The thumbnail filename must start with the configured thumbnail prefix and the extension must be among the following list :';
-
-
-
 $lang['missing thumbnail'] = 'falta la miniatura';
 $lang['albums deleted in the database'] = 'categories eliminades de la base de dades';
@@ -486,7 +442,5 @@
 $lang['Toggle \'default group\' property'] = 'Commuta la propietat \'grup predeterminat\'';
 $lang['Advanced features'] = 'Funcions avançades';
-$lang['Not linked elements'] = 'No s\'han enllaçat elements';
 $lang['Specials'] = 'Especials';
-$lang['Files with same name in more than one physical album'] = 'Fitxers amb el mateix nom en més d\'una categoria física';
 $lang['Overall'] = 'Global';
 $lang['Year'] = 'Any';
@@ -528,5 +482,4 @@
 $lang['default values'] = 'valors predeterminats';
 $lang['High filesize'] = 'High filesize';
-// --------- Starting below: New or revised $lang ---- from version 1.7.1
 $lang['Guest cannot be deleted'] = 'Visitant no es pot eliminar';
 $lang['Default user cannot be deleted'] = 'l\'usuari predeterminat no es pot eliminar';
@@ -556,10 +509,7 @@
 $lang['Main "webmaster" user does not exist'] = 'El principal usuari "webmaster" no existeix';
 $lang['Main "webmaster" user status is incorrect'] = 'L\'estat de l\'usuari principal "webmaster" és incorrecte';
-
-
 $lang['User "%s" created with "%s" like password'] = 'S\'ha creat l\'usuari "%s" amb contrasenya "%s"';
 $lang['Status of user "%s" updated'] = 'S\'ha actualitzat l\'estat de l\'usuari "%s"';
 $lang['add new elements to caddie'] = 'afegeix nous elements al carret';
-// --------- Starting below: New or revised $lang ---- from Butterfly
 $lang['No display'] = 'Sense visualització';
 $lang['Classic display'] = 'Visualització clàssica';
@@ -582,7 +532,5 @@
 $lang['Refresh'] = 'Refresca';
 $lang['The anomaly will be ignored until next application version'] = 'L\'anomalia serà ignorada fins a la següent versió de l\'aplicació';
-
 $lang['Correction the anomaly will cancel the fact that it\'s ignored'] = 'Correction the anomaly will cancel the fact that it\'s ignored';
-
 $lang['%d anomaly has been ignored.'] = 'S\'ha ignorat l\'anomalia %d.';
 $lang['%d anomalies have been ignored.'] = 'S\'han ignorat les anomalies %d.';
@@ -593,5 +541,4 @@
 $lang['Available<br>version'] = 'Versió<br>disponible';
 $lang['Automatic upgrade'] = 'Actualització automàtica';
-$lang['Automatic installation'] = 'Instal·lació automàtica';
 $lang['Download file'] = 'Descarrega fitxer';
 $lang['Plugin list'] = 'Llista de connectors';
@@ -611,13 +558,6 @@
 $lang['An error occured during extraction (%s).'] = 'Hi ha hagut un error durant l\'extracció (%s).';
 $lang['Please check "plugins" folder and sub-folders permissions (CHMOD).'] = 'Si us plau reviseu els permisos de la carpeta "plugins" i les seves subcarpetes (CHMOD).';
-
-
-
-
-
-
 $lang['Can\'t connect to server.'] = 'No es pot conectar al servidor.';
 $lang['Purge compiled templates'] = 'Elimina les plantilles compilades';
-$lang['Caddie is currently empty'] = 'Actualment el carret està buit';
 $lang['Upload'] = 'Penja';
 $lang['Show upload link every time'] = 'Mostra l\'enllaç de penjar cada vegada';
@@ -629,9 +569,5 @@
 $lang['ACCESS_4'] = 'Accés als webmasters';
 $lang['ACCESS_5'] = 'Sense accés';
-$lang['Demo'] = 'Demo';
-$lang['Piwigo home'] = 'Inici de Piwigo';
 $lang['Support'] = 'Soport';
-$lang['Bugs'] = 'Errors';
-$lang['Extensions'] = 'Extensions';
 $lang['Documentation'] = 'Documentació';
 $lang['A new version of Piwigo is available.'] = 'Hi ha una nova versió de Piwigo disponible.';
@@ -645,6 +581,4 @@
 $lang['GD library is missing'] = 'No es troba la llibreria GD';
 $lang['Templates'] = 'Plantilles';
-
-
 $lang['Extend for templates'] = 'Extend for templates';
 $lang['Replacement of original templates by customized templates from template-extension subfolder'] = 'Replacement of original templates by customized templates from template-extension subfolder';
@@ -676,5 +610,4 @@
 $lang['Released on'] = 'Versió del ';
 $lang['Number of downloads'] = 'Número de baixades';
-// --------- Starting below: New or revised $lang ---- from Colibri
 $lang['Piwigo Announcements Newsletter'] = 'Piwigo Announcements Newsletter';
 $lang['Keep in touch with Piwigo project, subscribe to Piwigo Announcement Newsletter. You will receive emails when a new release is available (sometimes including a security bug fix, it\'s important to know and upgrade) and when major events happen to the project. Only a few emails a year.'] = 'Keep in touch with Piwigo project, subscribe to Piwigo Announcement Newsletter. You will receive emails when a new release is available (sometimes including a security bug fix, it\'s important to know and upgrade) and when major events happen to the project. Only a few emails a year.';
@@ -694,17 +627,12 @@
 $lang['Last hit'] = 'Última visita';
 $lang['Hit'] = 'Visita';
-
 $lang['Tools'] = "Eines";
 $lang['Photos'] = "Fotos";
 $lang['Themes'] = "Temes";
 $lang['Instructions to use Piwigo'] = "Instruccions per utilitzar Piwigo";
-$lang['Order alphanumerically'] = "Ordena alfabéticament";
-$lang['Order alphanumerically reverse'] = "Ordena alfabéticament descendentment";
 $lang['Installed Themes'] = "Temes instal·lats";
 $lang['Add New Theme'] = "Afegeix un nou tema";
-
 $lang['Forbid this theme to users'] = "Prohibir aquest tema als usuaris";
 $lang['Set as default theme for unregistered and new users'] = "Col·locar el tema com a predeterminat per a tots que no es registren i per als nous usuaris";
-
 $lang['Order of menubar items has been updated successfully.'] = 'L\'ordre dels els ítems de la barra del menú s\'ha actualitzat amb éxit.';
 ?>
Index: trunk/language/ca_ES/common.lang.php
===================================================================
--- trunk/language/ca_ES/common.lang.php	(revision 8498)
+++ trunk/language/ca_ES/common.lang.php	(revision 8499)
@@ -29,5 +29,5 @@
 $lang_info['zero_plural'] = true;
 
-$lang['%.2f (rated %d times, standard deviation = %.2f)'] = '%.2f (valorada %d vegades, desviació típica = %.2f)';
+$lang['%.2f (rated %d times)'] = '%.2f (valorada %d vegades)';
 $lang['%d Kb'] = '%d Kb';
 $lang['%d album updated'] = '%d categoria actualitzada';
@@ -128,5 +128,4 @@
 $lang['add this image to your favorites'] = 'afegiu aquesta imatge a les vostres preferides';
 $lang['Administration'] = 'Administració';
-$lang['Adviser mode enabled'] = 'Mode guiat activat';
 $lang['all'] = 'tot';
 $lang['ascending'] = 'ascendent';
@@ -143,5 +142,4 @@
 $lang['All'] = 'Tot';
 $lang['display each day with pictures, month per month'] = 'visualitza les imatges per dia, mes a mes';
-$lang['display pictures added on'] = 'visualitza les imatges afegides';
 $lang['View'] = 'Visualitza';
 $lang['chronology_monthly_calendar'] = 'Calendari mensual';
@@ -308,5 +306,4 @@
 $lang['A picture\'s name already used'] = 'Un nom d\'imatge ja està en ús';
 $lang['You must choose a picture fileformat for the image'] = 'Heu d\'escollir un format de fitxer d\'imatge per la imatge';
-$lang['You can\'t upload pictures in this category'] = 'No podeu carregar imatges en aquesta categoria';
 $lang['Name of the picture'] = 'Nom de la imatge';
 $lang['Upload a picture'] = 'Carrega una imatge';