Index: /extensions/event_cats/language/lv_LV/description.txt
===================================================================
--- /extensions/event_cats/language/lv_LV/description.txt	(revision 8500)
+++ /extensions/event_cats/language/lv_LV/description.txt	(revision 8500)
@@ -0,0 +1,1 @@
+Dod iespēju ielogoties galerijā bez lietotājvārda un paroles, un ļauj reģistrēties, uzreiz gūstot atļauju piekļuvei privātām kategorijām.
Index: /extensions/event_cats/language/lv_LV/duplic.lang.php
===================================================================
--- /extensions/event_cats/language/lv_LV/duplic.lang.php	(revision 8500)
+++ /extensions/event_cats/language/lv_LV/duplic.lang.php	(revision 8500)
@@ -0,0 +1,13 @@
+<?php
+
+/*
+For plugin Event Cats, translation of "duplication" link
+English
+LucMorizur June 2009 - ...
+*/
+
+// Keeps file coded in UTF-8 without BOM: é
+
+$lang['Duplicate'] = 'Dublēt';
+$lang['Create a new account with same properties'] = 'Izveidot jaunu kontu ar tādām pašām īpašībām';
+?>
Index: /extensions/event_cats/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/event_cats/language/lv_LV/plugin.lang.php	(revision 8500)
+++ /extensions/event_cats/language/lv_LV/plugin.lang.php	(revision 8500)
@@ -0,0 +1,249 @@
+<?php
+
+/*
+Language module for plugin Even Cats
+English
+LucMorizur June 2009 - ...
+*/
+
+// Keeps file coded in UTF-8 without BOM: é
+
+// Convenient
+$t_ap1                             = 'Atvērt jaunu logu spraudnī papildus lapas - Additional Pages';
+$t_ap2                             = '<a href = "http://fr.piwigo.org/ext/extension_view.php?eid=153" nosaukums = "'.$t_ap1.'" onClick = "window.open(this.href); return false;">Additional Pages</a>';
+
+//+-------------------------------------------------------------------------+
+// | In templates                                                            |
+//+-------------------------------------------------------------------------+
+
+// "Header"
+$lang['Admin page title']          = 'Notikumu Kategorijas';
+$lang['Acknowledgement']           = 'šī paplašinājuma mērķis ir atļaut auto ielogošanos kontā ("autolog"), un izveidot konta dublikātu, kurā apmeklētājs ir ielogojies patlaban ("duplication").<br><br>Liels paldies Forumam, plg, ddtddt, flipflip, VDigital, Gotcha par testēšanu, P@t priekš galvenā koda&nbsp;:-)&nbsp;!';
+$lang['JS needed']                 = 'Lai nodrošinātu pareizu šīs lapas darbību, JĀBŪT aktivētam JavaScript!';
+$lang['Show']                      = 'rādīt';
+$lang['Hide']                      = 'slēpt';
+
+// Autolog page
+$lang['Additional Pages active']   = 'Additional Pages (papildus lapas) spraudnis: aktivēts';
+$lang['Additional Pages inactive'] = $t_ap2.' spraudnis (rādīt teksta lapu): nav aktivēts';
+$lang['Autolog entries']           = '"Autolog" ieraksti';
+$lang['Place title on top ttip']   = 'Rādīt šo nosaukumu lapas galvenē';
+// Table
+$lang['Entry']                     = 'Ieraksts';
+$lang['Code']                      = 'Kods';
+$lang['Username']                  = 'Lietotājvārds';
+$lang['Identification']            = 'Identifikācija?';
+$lang['Displayed page']            = 'Attēlotā lapa';
+$lang['Tools']                     = 'Rīki';
+$lang['Selected entry']            = 'Izvēlētais ieraksts';
+$lang['URL']                       = 'URL: ';
+$lang['Test']                      = 'Testēt';
+$lang['Delete']                    = 'Dzēst';
+$lang['Modify']                    = 'Modificēt';
+$lang['Copy URL ttip']             = 'Kopēt šo saiti, lai to nosūtītu';
+$lang['Test URL ttip']             = 'Testēt URL ( => admin. sesija pārtraukta)';
+$lang['Delete entry ttip']         = 'Dzēst piekļuves ierakstu';
+$lang['Modify entry ttip']         = 'Modificēt piekļuves ierakstu';
+$lang['Outdate entry ttip']        = 'Padarīt ierakstu vecāku (nederīgu)';
+$lang['Unforce display ttip']      = 'Vairāk nelietot šo kodu, lai attēlotu šo lapu';
+$lang['Force display ttip']        = 'Lietot šo kodu, lai attēlotu šo lapu';
+$lang['Duplicate entry ttip']      = 'Izveidot jaunu ierakstu, lietojot to pašu kodu';
+
+// New entry and Modify entry pages (it is the same actually)
+$lang['New entry title']           = 'Jauns "autolog" parametra ieraksts';
+$lang['Modify entry title']        = '"autolog" parametra ieraksta modificēšana';
+$lang['New entry']                 = 'Jauns piekļuves ieraksts';
+$lang['Full auto']                 = 'Pilnībā auto (vispirms izvēlaties lapu, ko attēlot)';
+$lang['New code']                  = 'Jauns kods:';
+$lang['Auto code button']          = 'Ģenerēt kodu';
+$lang['Auto code mid']             = 'ņemot';
+$lang['Auto code min']             = ' (min)';
+$lang['Auto code max']             = ' (max)';
+$lang['Auto code end']             = 'cipari';
+$lang['Comment']                   = 'Komentēt';
+$lang['Optional']                  = 'Personīgie memo tiek rādīti tikai administrācijas lapās';
+$lang['Existing code']             = 'Esošais kods:';
+$lang['Identified user']           = 'Identificēts lietotājs';
+$lang['No user']                   = 'Neviens (novecojis ieraksts)';
+$lang['New generic user']          = 'Jauns lietotājs (izveidot vispārējo kontu):';
+$lang['New username']              = 'Lietotājvārds';
+$lang['New password']              = 'Parole';
+$lang['Confirm password']          = 'Apstiprināt pwd:';
+$lang['New group']                 = 'Jauna grupa';
+$lang['Generate username']         = 'Ģenerēt lietotājvārdu (vispirms izvēlaties lapu, ko attēlot)';
+$lang['Existing user']             = 'Esošais lietotājs:';
+$lang['Displayed page']            = 'Attēlotā lapa';
+$lang['Forced']                    = 'Piespiedu';
+$lang['Additional Page']           = 'Papildus Lapa';
+$lang['Category']                  = 'Kategorija';
+$lang['Image id']                  = 'Attēla id';
+$lang['Home']                      = 'Sākums';
+$lang['Access denied']             = 'Piekļuve liegta';
+$lang['Validity date']             = 'Derīguma datums';
+$lang['Activate']                  = 'Aktivēt';
+$lang['Now + 2 mn']                = 'No šā brīža + 2 mēn';
+$lang['Now button tooltip']        = 'Derīguma laika posms nevar būt mazāks par 1 mēn. Apsvērtais apstrādes laiks, šinī gadījumā nepieciešami 2 mēn.';
+$lang['Set time to']               = 'Iestādīt laiku uz';
+$lang['Hours field tooltip']       = 'Formāts: hh:mm or h:m';
+$lang['Add']                       = 'Pievienot';
+$lang['Add button tooltip']        = 'Pievienot sekojošu laika posmu augstāk izvēlētajam datumam';
+$lang['Minutes']                   = 'minūte(s)';
+$lang['Hours']                     = 'stunda(s)';
+$lang['Days']                      = 'diena(s)';
+$lang['Months']                    = 'mēnesis(ši)';
+$lang['Years']                     = 'gads(i)';
+$lang['Do notify']                 = 'Kad koda derīgums ir <br>beidzies, paziņot';
+$lang['Notify label tooltip']      = 'Šī izvēlnes rūtiņa ir atzīmēta, kad viena no sekojošajām izvēlnes rūtiņām ir';
+$lang['The user']                  = 'lietotājs';
+$lang['The webmaster']             = 'webmāsters';
+$lang['All administrators']        = 'visi administrātori';
+$lang['Page once code outdated']   = 'Lapa, kas piesaistīta kodam,<br>kad beidzies tā derīgums';
+
+// Duplication page
+$lang['Configuration']             = 'Konfigurācija';
+$lang['Types']                     = 'Lietotāju tipi';
+$lang['Duplication allowance']     = 'Atļaut dublikātus';
+$lang['No account']                = 'Nav konta';
+$lang['Selection per group']       = 'Atlase pēc grupas';
+$lang['All accounts']              = 'Visi konti';
+$lang['Register replacement']      = 'Reģistrācijas saite:%1$s visiem kontiem, kuri var tikt dublēti,%1$s aizvietot "%2$s" ar "%3$s"';
+ // %1$s: line feed; %2$s: "register"; %3$s: "duplicate"
+$lang['All but generics']          = 'Visi konti, bet ne vispārīgie';
+$lang['Duplication allowed']       = 'Dublēšana atļauta';
+$lang['Dup. allowed tks to']       = 'Dublēšana atļauta, pateicoties grupu un tipu piederībai';
+$lang['Duplication denied']        = 'Dublēšana noraidīta';
+$lang['Deny to groups btn']        = 'Atteikt izvēlēto grupu dublēšanu';
+$lang['Grant to groups btn']       = 'Atļaut izvēlēto grupu dublēšanu';
+$lang['Deny to types btn']         = 'Atteikt izvēlēto tipu dublēšanu';
+$lang['Grant to types btn']        = ' Atļaut izvēlēto tipu dublēšanu';
+$lang['Deny to users btn']         = ' Aizliegt dublēšanu izvēlētajiem lietotājiem';
+$lang['Grant to users btn']        = ' Atļaut dublēšanu izvēlētajiem lietotājiem';
+$lang['Save dup. config btn']      = 'Saglabāt dublikātu konfigurāciju';
+
+// Configuration page
+$lang['Duplication']               = 'Dublēšana';
+$lang['Unknown code']              = 'Nezināms kods';
+$lang['Page for unknown code']     = 'Lapa tiek rādīta, ja "autolog kods ir nezināms"';
+$lang['Other']                     = 'Cits';
+$lang['Comments display']          = 'Rādīt komentārus';
+$lang['As tooltip']                = 'Kā padoms';
+$lang['In a row']                  = 'Rindā';
+$lang['Help banner']               = 'Palīdzības baneris';
+$lang['Banner on']                 = 'Aktivēts';
+$lang['Banner off']                = 'Deaktivēts';
+$lang['Display connection']        = 'Rādīt "%2$s" saiti%1$s vispārējiem lietotājiem';
+                                  // %1$s: line feed; %2$s: "Connection"
+
+// JS messages
+$lang['ec_confirm_test']           = "Vai tiešām pārbaudīt izvēlēto kodu?\n\rŠis izbeigs jūsu administrēšanas sesiju.";
+$lang['ec_confirm_delete']         = "Vai tiešām vēlaties dzēst izvēlēto ierakstu?";
+$lang['ec_confirm_disable']        = "Vai tiešām vēlaties padarīt izvēlēto ierakstu nederīgu?\n\rTas izdzēsīs visus ierakstus, kas lieto to pašu kodu, ja tādi ir.";
+$lang['ec_confirm_force']          = "Vai tiešām vēlaties piespiedu kārtā parādīt izvēlētā ieraksta attēloto lapu?\n\r rTas izdzēsīs visus ierakstus, kas lieto to pašu kodu, ja tādi ir.";
+$lang['ec_confirm_del_other']      = "Tas izdzēsīs visus ierakstus, kas lieto to pašu kodu, ja tādi ir.\n\rOK?";
+$lang['ec_confirm_change_user']    = "Username modification will delete\n\rall other entries using the same code, if any. OK?";
+$lang['ec_gen_user_act_miss']      = "Vispirms izvēlaties lapu, ko rādīt";
+$lang['ec_act_img_miss']           = "Attēla identifikatoram jābūt skaitlim.";
+$lang['ec_submit_code_miss']       = "Jums ir jānodrošina kods.";
+$lang['ec_submit_code_bad']        = "Kodam jāsatur no 4 līdz 32 ciparus, kas iekļauti  [a-zA-Z0-9_-].";
+$lang['ec_submit_user_miss']       = "Jums ir jānodrošina lietotājvārds.";
+$lang['ec_submit_action_miss']     = "Jums ir jānodrošina lapa, ko attēlot.";
+$lang['ec_clk_entry_miss']         = "Vispirms izvēlaties ierakstu.";
+$lang['ec_code_already_exists']    = "Šis kods jau eksistē.";
+$lang['ec_user_already_exists']    = "Šis lietotājvārds jau eksistē.";
+$lang['ec_conf_pwd_dont_match']    = "Parole nav pienācīgi apstiprināta.";
+$lang['ec_new_pwd_gen']            = "Neaizmirstiet pierakstīt paroli!";
+$lang['ec_act_cat_miss']           = "Kategorija?";
+
+
+//+-------------------------------------------------------------------------+
+// | In PHP files                                                            |
+// +-------------------------------------------------------------------------+
+
+// Tabs
+$lang['ec_tab_autoid_entries']     = 'Autolog ieraksti';
+$lang['ec_tab_autoid_modif']       = 'Autolog modifikācija';
+$lang['ec_tab_autoid_new']         = 'Jauns autolog';
+$lang['ec_tab_duplication']        = 'Dublēšana';
+$lang['ec_tab_config']             = 'Konfigurācija';
+
+// Infos
+$lang['ec_user_create_OK']         = '"%s" lietotāji izveidoti';
+$lang['ec_user_generic_OK']        = '"%s" vispārējie lietotāji';
+$lang['ec_group_create_OK']        = '"%s" grupas izveidotas';
+$lang['ec_group_create_OK2']       = '"%1$s" novirzīts uz "%2$s"';
+$lang['ec_entry_create_OK']        = '%s ieraksti izveidoti ';
+$lang['ec_cnfrm_forced']           = ' (lapa attēlota piespiedu kārtā)';
+$lang['ec_entry_modify_OK']        = 'Modificēti %s ieraksti';
+$lang['ec_entry_del_ok']           = 'Ieraksts %1$s ("%2$s") dzēsts.';
+$lang['ec_config_saved']           = 'Konfigurācija saglabāta';
+// Errors
+$lang['ec_action_pb']              = 'lauks darbība "action" bojāts (ierakstos lietotas atšķirīgas vērtības, lietojot to pašu kodu)';
+$lang['ec_username_pb']            = 'lauks "user_id" bojāts (ierakstos lietotas atšķirīgas vērtības, lietojot to pašu kodu)';
+$lang['ec_username_miss']          = 'lietotājs neeksistē (iespējams izdzēsts)';
+$lang['ec_category_miss']          = 'kategorija neeksistē (iespējams izdzēsts)';
+$lang['ec_image_miss']             = 'attēls neeksistē (iespējams izdzēsts)';
+$lang['ec_add_page_miss']          = 'Additional Pages (papildus lapas) lapa neeksistē (iespējams izdzēsts)';
+$lang['ec_entry_del_nok']          = 'Problēma dzēšot ierakstu %s: ';
+$lang['ec_user_create_pb']         = 'Jauna lietotāja izveide nav iespējama';
+$lang['ec_user_generic_pb']        = 'Problēmas izveidojot lietotāju "%s" generic';
+$lang['ec_group_create_pb']        = 'Grupas "%s" izveide neiespējama';
+$lang['ec_user_access_AP']         = 'Parūpējieties, lai lietotājs "%2$s" ir atļauts Additional Pages lapā "%1$s".';
+$lang['ec_entry_create_pb']        = 'Ieraksta izveide neiespējama';
+$lang['ec_entry_already_exists']   = 'Ieraksts %s ar tieši tādu pašu konfigurāciju jau eksistē ';
+$lang['ec_entry_dont_exist']       = 'Ieraksts %s neeksistē';
+$lang['ec_assoc_pb']               = 'Neiespējami izveidot saiti no "%1$s" uz "%2$s"';
+$lang['ec_DB_problem']             = 'Piekļuves problēma Datubāzei (pozīcijā %s): ';
+
+// Entries table
+//   actions
+$lang['ec_ok']                     = 'JĀ';
+$lang['ec_ok_ap_pb']               = 'JĀ, bet nezināms pielikums. Lapa';
+$lang['ec_ok_cat_pb']              = 'JĀ, bet nezināma kategorija';
+$lang['ec_ok_img_pb']              = 'JĀ, bet nezināms attēls';
+$lang['ec_nok']                    = 'NĒ';
+$lang['ec_nok_ap_pb']              = 'NĒ';
+$lang['ec_nok_userid_miss']        = 'NĒ: nezināms lietotājs';
+$lang['ec_nok_action_pb']          = 'NĒ: nekorekta (darbība) "action" ';
+$lang['ec_nok_userid_pb']          = 'NĒ: nekorekts (lietotāja_id) "user_id" ';
+// Username can't be displayed
+$lang['ec_dspl_nok_actn']          = '"action" nederīga darbība';
+$lang['ec_dspl_usr_pb']            = '"user_id" nederīgs lietotāja_id';
+$lang['ec_dspl_nok_usr']           = 'Lietotājs n°%s neeksistē';
+//   displayed pages
+$lang['ec_dspl_ok_cat']            = 'Kategorija n°%1$s: %2$s';
+                                  // %1$s: category id, %2$s: name
+$lang['ec_dspl_ok_img2']           = 'attēls n°%1$s: %2$s (%3$s)';
+                                  // %1$s: image id, %2$s: name, %3$s: filename
+$lang['ec_dspl_ok_ap']             = 'Additional Page (papildus lapa) n°%1$s: %2$s';
+                                  // %1$s: add. p. id, %2$s: name
+$lang['ec_dspl_nok_ap']            = ' (Additional Page (papildus lapa) n°%s neeksistē)';
+$lang['ec_dspl_nok_cat']           = ' (kategorija n°%s neeksistē)';
+$lang['ec_dspl_nok_img2']          = ' (attēls n°%1$s neeksistē kategorijā n°%2$s)';
+                                  // %1$s: image id, %2$s: category id
+
+// Help banner
+// Entries tab
+$lang['ec_help_banner1_entries']   = '<ul><li style = "list-style-image:url(plugins/event_cats/icon/disable.png);"><span class = "help_b">Padarīt ierakstu vecāku (nederīgu)</span>: lai padarītu kodu neizmantojamu, bet ar pielāgotu paziņojumu;</li><li style = "list-style-image:url(plugins/event_cats/icon/nforced.png);"><span class = "help_b">Forsēt</span>: lai liegtu iespēju lietotājiem, modificējot URL, piekļūt citām lapām;<li style = "list-style-image:url(plugins/event_cats/icon/forced.png);"><span class = "help_b">Neforsēt</span>: lai būtu iespējams piekļūt dažādām lapām, izmantojot to pašu kodu;</li><li style = "list-style-image:url(plugins/event_cats/icon/duplicate.png);"><span class = "help_b">Kopēt</span>: lai izveidotu jaunu ierakstu, izmantojot to pašu kodu, bet novirzot uz citu lapu;</li><li style = "list-style-image:url(plugins/event_cats/icon/url2.png);"><span class = "help_b">Testēt</span>: Lai pārbaudītu vai darbojas;-)&nbsp;;</li><li style = "list-style-image:url(plugins/event_cats/icon/delete.png);"><span class = "help_b">Dzēst</span>: Dzēst pieteikšanās ierakstu;</li><li style = "list-style-image:url(plugins/event_cats/icon/modify.png);"><span class = "help_b">Modificēt</span>: Modificēt piekļuves ierakstu.</ul>';
+
+// New entry tab, general case
+$lang['ec_help_banner1_new_c']   = 'Izveidot<span class = "help_bi">kodam</span> saiti ar <span class = "help_bi">identificētu lietotāju</span> un ar <span class = "help_bi">attēloto lapu</span>; "Autolog entries" iezīmē (tabā) tiks izveidots atbilstošs URL, tā ka būs iespējams to nokopēt un pārsūtīt visiem iesaistītajiem. (Ir pārāk sarežģīti un grūti šeit izveidot visu attēlu sarakstu, tāpēc jums jāpieraksta attēla identifikators ("<span class = "help_b">Image id</span>"), gadījumā, ja vēlaties izmantot šo lauku.)  <span class = "help_b">Ģenerēt lietotājvārdu</span> un <span class = "help_b">Pilnībā auto</span>: vispirms izvēlaties <span class = "help_bi">lapu, ko attēlot</span>, tāpēc, ka lietotājvārds ir atvasināts no šīs lapas nosaukuma. <span class = "help_b">Komentēt</span>: memo, personīga piezīme, redzams tikai administrātora daļā. <span class = "help_b">Eksistējošs kods</span>: lai izmantotu to pašu kodu tā paša konta identificēšanai, bet novirzot to uz citu lapu. Attēlotā lapae <span class = "help_b">Forsēt</span>: lai lietotu attēloto lapu neatkarīgi no tās parametriem <span class = "help_bi">&cat=</span>, <span class = "help_bi">&img=</span>, <span class = "help_bi">&ap=</span> URL.';
+
+// New entry tab, "copy an entry" (duplicate entry) case
+$lang['ec_help_banner2_new_c']     = 'Kopēt ierakstu, lai to asociētu ar to pašu <span class = "help_bi">kodu</span> (joprojām saistītu ar to pašu <span class = "help_bi">identificēto lietotāju</span>),  citā <span class = "help_bi">attēlotajā lapā</span>, piemēram, lai nodrošinātu grupai cilvēku, kurai tikko izveidojāt piekļuves ierakstu, pieeju kādam citam notikumam (kā cita kategorija). <span class = "help_b">Restartēt</span> lai tiktu atpakaļ pie normāla "normal" piekļuves ieraksta izveidošanas.';
+
+// Modify entry tab, general case
+$lang['ec_help_banner1_new_m']     = 'Izvēlēties <span class = "help_bi">kodu</span> lai mainītu atbilstošo <span class = "help_bi">identificēto lietotāju</span> un&nbsp;/&nbsp;vai <span class = "help_bi">attēlojamo lapu</span>. Ja <span class = "help_b">piespiedu kārtā</span> attēlojat rādāmo lapu, vai maināt identificēto lietotāju, citi piekļuves ieraksti ar tādu pašu kodu tiks izdzēsti. Izvēloties <span class = "help_b">Nevienu</span> lietotāju kā identificētu, vai <span class = "help_b">Piekļuve liegta</span> kā lapu, ko attēlot, padarīs piekļuves ierakstu par novecojušu "outdated": bez identifikācijas, bet iespējams attēlot personificēto lapu, lai dotu skaidrojumu. Lai <span class = "help_b">ģenerētu lietotājvārdu</span>, vispirms izvēlaties <span class = "help_bi">lapu, ko attēlot</span>, lietotājvārds atvasināts no attēlojamas lapas nosaukuma.'; 
+
+// Modify entry tab, disable case
+$lang['ec_help_banner2_new_m']     = 'Ielogoties kontā, kas nepieprasa ne lietotājvārdu, ne paroli, ir ļoti nedroši. Tāpēc ir lietderīgi neturēt "autolog" kodu  aktīvu ilgu laika periodu, pretējā gadījumā tas var tikt izmantots ļaunprātīgi. Lai padarītu pieteikšanās ierakstu nederīgu (outdated), ļauj ar Additional Page starpniecību attēlot  paskaidrojošu informāciju. Varat lietot arī spraudni <a href = "http://piwigo.org/ext/extension_view.php?eid=190" title = "Open a new window on plugin PWG Stuffs" onClick = "window.open(this.href); return false;">PWG Komanda</a> lai attēlotu paziņojumus indeksa un attēla lapās. <span class = "help_b">Restartēt</span> lai tiktu atpakaļ pie normālas "normal" koda modifikācijas.';
+
+// Duplicate tab
+$lang['ec_help_banner1_duplic']    = '<span class = "help_i">Dublēt kontu</span> kad lietotājs jau ir identificējies, izveido citu kontu ar tieši tādām pašām piekļuves tiesībām: nav nepieciešama administratora validācija. Izvēlēties <span class = "help_bi">grupas</span>, <span class = "help_bi">tipus</span>, un&nbsp;/&nbsp;vai tieši <span class = "help_bi">lietotājus,</span> kam atļauts dublēt savus kontus. Attēlot "<span class = "help_b">Reģistru</span>" vispārējiem kontiem, tā, lai viņi nepamana dublēšanu (see <a href="popuphelp.php?page=help" onclick="popuphelp(this.href); return false;" title="Help"><img src="admin/template/goto/theme/clear/icon/help.png" class="button" alt="(?)">&nbsp;palīdzības lapa</a> detalizētākai palīdzībai).';
+
+// Configuration tab
+$lang['ec_help_banner1_config']    = '<span class = "help_i">Dublēt kontu</span> kad lietotājs jau ir identificējies, izveido citu kontu ar tieši tādām pašām piekļuves tiesībām: nav nepieciešama administratora validācija.&nbsp;— Izvēlaties lapu, ko rādīt, ja tiek lietots nezināms kods (piemēram, ja izmantots kods, ko izdzēsāt).&nbsp;— Autolog pieteikšanās ieraksta "Autolog entries" izīmē (tab), komentāri var tikt attēloti, ka rīku darbības pamācības, vai kā jauna rindiņa zem koda.&nbsp;— Tā kā patlaban to lasāt, palīdzības baneris patlaban ir aktīvs&nbsp;;-)&nbsp;!&nbsp;— Attēlot savienojuma "Connection" saiti vispārējiem lietotājiem, dod iespēju jūsu galerijā jau reģistrētiem lietotājiem vieglāk ielogoties.';
+
+
+unset($t_ap1, $t_ap2);
+
+?>