Index: /trunk/language/ar_SA/admin.lang.php
===================================================================
--- /trunk/language/ar_SA/admin.lang.php	(revision 8503)
+++ /trunk/language/ar_SA/admin.lang.php	(revision 8504)
@@ -476,5 +476,4 @@
 $lang['default values'] = 'قيم أفتراضية';
 $lang['High filesize'] = 'ارتفاع حجم الملف';
-// --------- Starting below: New or revised $lang ---- from version 1.7.1
 $lang['Guest cannot be deleted'] = 'هل انت جاد بطرد الضيف و حذفه (لايمكن ذلك)';
 $lang['Default user cannot be deleted'] = 'المستخدم الافتراضي لا يمكن حذفه';
@@ -507,5 +506,4 @@
 $lang['Status of user "%s" updated'] = 'تم نحديث حالة المستخدم"%s" ';
 $lang['add new elements to caddie'] = 'اضف صور جديدة الى السلة';
-// --------- Starting below: New or revised $lang ---- from Butterfly
 $lang['No display'] = 'لم يعرض';
 $lang['Classic display'] = 'عرض عادي';
@@ -577,6 +575,5 @@
 $lang['Templates'] = 'النماذج';
 $lang['Extend for templates'] = 'توسيع النماذج';
-$lang['Replacement of original templates by customized templates from template-extension subfolder'] =
- 'استبدال النماذج الأصلية من خلال نماذج من قالب مخصص في المجلد الفرعي';
+$lang['Replacement of original templates by customized templates from template-extension subfolder'] = 'استبدال النماذج الأصلية من خلال نماذج من قالب مخصص في المجلد الفرعي';
 $lang['Replacers (customized templates)'] = 'تبديل(نماذج مخصصة)';
 $lang['Original templates'] = 'نماذج اصلية';
@@ -604,5 +601,4 @@
 $lang['Released on'] = 'Released on تمكين استخدام';
 $lang['Number of downloads'] = 'عدد التنزيلات';
-// --------- Starting below: New or revised $lang ---- from Colibri
 $lang['Piwigo Announcements Newsletter'] = 'اعلانات Piwigo الإخبارية';
 $lang['Keep in touch with Piwigo project, subscribe to Piwigo Announcement Newsletter. You will receive emails when a new release is available (sometimes including a security bug fix, it\'s important to know and upgrade) and when major events happen to the project. Only a few emails a year.'] = 'البقاء على اتصال مع Piwigo المشروع ، الاشتراك في النشرة Piwigo إعلان. سوف تتلقى رسائل البريد الإلكتروني عندما يتوفر الإصدار الجديد (في بعض الأحيان بما في تثبيت الأمن علة ، / / من المهم معرفة والارتقاء) ، وعندما يحدث الأحداث الرئيسية لهذا المشروع. سوى عدد قليل من الرسائل الإلكترونية في السنة.';
@@ -612,3 +608,95 @@
 $lang['Hide'] = 'أخفاء';
 $lang['Menu Management'] = 'القائمة الرئيسية';
+$lang['Processing treatment.'] = 'معالجة العرض';
+$lang['Please wait...'] = 'لحظات الانتظار أشغلها بالإستغفار ..';
+$lang['By rank'] = 'حسب المنزلة';
+$lang['Manual order'] = 'دليل النظام';
+$lang['Password is missing. Please enter the password.'] = 'لم تكتب كلمة المرور، فضلا ً أكتب كلمة المرور';
+$lang['Password confirmation is missing. Please confirm the chosen password.'] = 'لم يتم تأكيد كلمة المرور، فضلا ً لا أمر أكد المرور رحم الله والديك';
+$lang['Password confirmation error.'] = 'خطأ في تأكيد كلمة المرور';
+$lang['Allow users to edit theirs owns comments'] = 'اسمح للمستخدم بتحريرتعليقه الخاص';
+$lang['Allow users to delete theirs owns comments'] = 'اسمح للمستخدم بحذف تعليقه الخاص';
+$lang['Email administrators when a comment is modified'] = 'ابلغ المديرعن تعديل التعليم ';
+$lang['Email administrators when a comment is deleted'] = 'ابلغ المدير عند حذف تعليق عن طريق البريد';
+$lang['Cannot delete the old permalink !'] = 'الروابط الدائمة و القديمة لا يمكن حذفها';
+$lang['Hit'] = 'نقرة';
+$lang['Tools'] = 'أدوات';
+$lang['Photos'] = 'الصور';
+$lang['Themes'] = 'واجهة العرض';
+$lang['Instructions to use Piwigo'] = 'دليل استخدام Piwigo';
+$lang['Installed Themes'] = 'تثبيت واجهات العرض';
+$lang['Add New Theme'] = 'اضف واجهة جديدة';
+$lang['Forbid this theme to users'] = 'امنع هذه الواجهة عن المستخدمين';
+$lang['Set as default theme for unregistered and new users'] = 'اجعلها كواجهة افتراضية لغير المسجلين و المستخدمين الجدد';
+$lang['unknown'] = 'غير معروف';
+$lang['Upload Photos'] = 'رفع الصور';
+$lang['Drop into album'] = 'اتركها داخل الالبوم';
+$lang['+ Add an upload box'] = '+ اضف عن طريق برنامج الرفع';
+$lang['Create the "%s" directory at the root of your Piwigo installation'] = 'إنشاء "%s" دليل على جذر التثبيت الخاص Piwigo';
+$lang['Give write access (chmod 777) to "%s" directory at the root of your Piwigo installation'] = 'اعطي تصريح الكتابة (chmod 777) على مجلد "%s" الذي ثبت فيه المعرض  ';
+$lang['existing album'] = 'الالبومات الموجودة';
+$lang['create a new album'] = 'انشأ ألبوم جديد ';
+$lang['Album name'] = 'أسم الألبوم';
+$lang['Album "%s" has been added'] = 'تم اضافته"%s"الألبوم ';
+$lang['Uploaded Photos'] = 'رفع الصور';
+$lang['%d photos uploaded'] = 'صور تم رفعها %d';
+$lang['Privacy level set to "%s"'] = '"%s"اعد مستوى الخصوصية ';
+$lang['Album "%s" now contains %d photos'] = ' الألبوم "%s" يحوي الآن %d صورة ';
+$lang['Manage this set of %d photos'] = '%d إدارة اعدادت صور';
+$lang['Select files'] = 'اختيار الملفات';
+$lang['JPEG files or ZIP archives with JPEG files inside please.'] = 'ملفات صور JPEG النقطيبة و ملفات مضغوطةZIP فقط';
+$lang['Everybody'] = 'Everybody';
+$lang['Who can see these photos?'] = 'من يمكنه رؤية هذه الصور';
+$lang['Who can see this photo?'] = 'من يمكنه رؤية هذه الصورة؟';
+$lang['... or switch to the old style form'] = '... أو اظهر الواجهة القديمة ';
+$lang['... or switch to the multiple files form'] = '... أو التحول إلى شكل ملفات متعددة';
+$lang['The websize maximum width must be a number between %d and %d'] = '%d و %d الحد الأعلى لعرض صورة الويب يجب أن تكون';
+$lang['The websize maximum height must be a number between %d and %d'] = '%d و %d الحد الأعلى لطول صورة الويب يجب أن تكون بين ';
+$lang['The websize image quality must be a number between %d and %d'] = '%d و %d جودة صورة الوب يجب أن تكون بين ';
+$lang['The thumbnail maximum width must be a number between %d and %d'] = '%d و %d الحد الأعلى لعرض مصغرات الصور يجب أن يكون بين';
+$lang['The thumbnail maximum height must be a number between %d and %d'] = '%d و %dالحد الأعلى لطول  مصغرات الصور يجب ان يكون بين ';
+$lang['The thumbnail image quality must be a number between %d and %d'] = '%d و %dجودة مصغرات الصور يجب ان تكون بين ';
+$lang['Settings'] = 'الإعدادت';
+$lang['Web size photo'] = 'مقاس صورة ويب';
+$lang['Resize'] = 'تغيير المقاس';
+$lang['Maximum Width'] = 'الحد الأعلى لعرض الصورة';
+$lang['pixels'] = 'pixels';
+$lang['Maximum Height'] = 'الحد الاعلى لطول الصورة';
+$lang['Image Quality'] = 'جودة الصورة';
+$lang['Save Settings'] = 'حفظ الإعدادات';
+$lang['Your configuration settings are saved'] = 'تم حفظ الإعدادت ';
+$lang['Active Themes'] = 'تنشيط الواجهة';
+$lang['Add write access to the "%s" directory'] = ' "%s" اعطي تصريح الوصول و الكتابة على المجلد ';
+$lang['Administration Home'] = 'الأدارة الرئيسية';
+$lang['Change Admin Colors'] = 'تغير الوان لوحة التحكم';
+$lang['Delete this theme'] = 'أحذف هذه الواجهة';
+$lang['Directory does not exist'] = 'المجلد غير موجود';
+$lang['Download,'] = ',تحميل';
+$lang['FTP + Synchronization'] = 'أف تي بي + التزامن ';
+$lang['Get Support on Piwigo Forum'] = 'أحصل على الدعم الفني من منتدى Piwigo';
+$lang['Help Me'] = 'Help Me';
+$lang['Impossible to activate this theme, the parent theme is missing: %s'] = ' %s لا يمكن تفعيل هذه الواجهة شيء ما مفقود ';
+$lang['Impossible to delete this theme. Other themes depends on it: %s'] = ' %sلا يمكن حذف هذه الواجهة لرتباطها  بأشياء أخرى : ';
+$lang['Inactive Themes'] = 'الواجهات المفعلة';
+$lang['Install on your computer,'] = 'التثبيب على جهاز الكمبيوتر,';
+$lang['Make this theme available to users'] = 'أجعل هذه الواجهة متاحة للمستخدمين';
+$lang['Page end'] = 'نهاية الصفحة';
+$lang['Piwigo Uploader'] = 'برنامج piwigo للتحميل الصور';
+$lang['Read Piwigo Documentation'] = 'وثائق عن Piwigo';
+$lang['Start pLoader and add your photos.'] = 'بدء pLoader وإضافة الصور الخاصة بك.';
+$lang['Switch to clear or dark colors for administration'] = 'تغير لون لوحة التحكم أسود أو ابيض';
+$lang['Theme has been successfully installed'] = 'تم تثبيت واجهة المعرض بنجاح';
+$lang['Visit Gallery'] = 'معاينة المعرض';
+$lang['Visit Piwigo project website'] = 'زيارة الموقع الرئيسي لمشروع Piwigo ';
+$lang['pLoader stands for <em>Piwigo Uploader</em>. From your computer, pLoader prepares your photos and transfer them to your Piwigo photo gallery.'] = 'pLoader اعتمد على <em>Piwigo Uploader</em>. من الكمبيوتر ، pLoader تستعد صورك وتحويلها الى معرض الصور الخاص بك Piwigo.';
+$lang['Guest Settings'] = 'اعدادت الضيوف';
+$lang['Main Page'] = 'صفحة رئيسية';
+$lang['Photo Page'] = 'صفحة الصورة';
+$lang['Activate Navigation Bar'] = 'اظهار لوح تبديل و اظهار الصور';
+$lang['Activate Navigation Thumbnails'] = 'تنشيط امكانية المشاهدة عن طريق المصغرات أسف صفحة الصورة';
+$lang['Activate icon "%s"'] = 'اظهار ايقونة  "%s"';
+$lang['Activate field "%s"'] = '"%s"تنشيط الحقل ';
+$lang['Photo Properties'] = 'خصائص الصور';
+$lang['Allow user customization'] = 'السماح للمستخدم بتغيير خصائص العرض';
+$lang['Languages'] = 'اللغة';
 ?>