Index: trunk/language/ar_SA/admin.lang.php
===================================================================
--- trunk/language/ar_SA/admin.lang.php	(revision 8504)
+++ trunk/language/ar_SA/admin.lang.php	(revision 8521)
@@ -700,3 +700,93 @@
 $lang['Allow user customization'] = 'السماح للمستخدم بتغيير خصائص العرض';
 $lang['Languages'] = 'اللغة';
+$lang['Installed Languages'] = 'تثبيت لغة';
+$lang['Add New Language'] = 'اضف لغة جديدة';
+$lang['Language has been successfully installed'] = 'تم تثبيت اللغة بنجاح';
+$lang['Select:'] = 'أختيار:';
+$lang['None'] = 'لا شيء';
+$lang['Invert'] = 'عكس';
+$lang['Impossible to deactivate this theme, you need at least one theme.'] = 'لا يمكن حذف الواجهة لانها الأخيرة ، لابد من وجود واجهة واحدة ';
+$lang['Webmaster status is required.'] = 'تم تغير حالة المدير العالم .';
+$lang['Bound Theme'] = 'واجهة إلزامية';
+$lang['Allow rating'] = 'السماح بالتوصويت';
+$lang['Select at least one comment'] = 'أختر تعليقا واحدا على الأقل';
+$lang['Active Plugins'] = 'تنشيط الإضافات';
+$lang['Inactive Plugins'] = 'تعطيل الإضافات';
+$lang['Missing Plugins'] = 'إضافات مفقودة';
+$lang['Uninstalled Plugins'] = 'اضافات غير مثبته';
+$lang['By %s'] = ' %s بواسطة';
+$lang['Visit plugin site'] = 'زيارة موقع الاضافة';
+$lang['Active Languages'] = 'تنشيط اللغة';
+$lang['Delete this language'] = 'اخذف هذه اللغة';
+$lang['Forbid this language to users'] = 'أمنع هذه اللغة عن المستخدمين';
+$lang['Impossible to deactivate this language, first set another language as default.'] = 'لا يمكن تعطيل هذه اللغة ، أولا ً قم باختيار لغة أخرى كلغة افتراضية';
+$lang['Impossible to deactivate this language, you need at least one language.'] = ' لا يمكن تعطيل هذه اللغة ، يجب اختيار لغة واحدة على الأقل';
+$lang['Inactive Languages'] = 'تعطيل اللغات';
+$lang['Make this language available to users'] = 'اجعل هذه اللغة متاحة للمستخدمين';
+$lang['Set as default language for unregistered and new users'] = 'اجعلها كلغة افتراضية لغير المسجلين و المستخدمين الجدد';
+$lang['Add Photos'] = 'أضف صور';
+$lang['Download'] = 'تحميل';
+$lang['The following tag was deleted'] = 'هذه الكلمات الدلائلية حُـذفت';
+$lang['Miscellaneous'] = 'متفرقات';
+$lang['User Upload'] = 'مستخدم الرفع';
+$lang['Virtual Links'] = 'روابط ظاهرة';
+$lang['There is no other language available.'] = 'ليس هناك لغة أخرى متاحة.';
+$lang['There is no other plugin available.'] = 'ليس هناك اضافة أخرى متاحة.';
+$lang['There is no other theme available.'] = 'ليس هناك واجهة عرض أخرى متاحة.';
+$lang['Add another set of photos'] = 'اضف مجوعة أخرى من الصور';
+$lang['Order of menubar items has been updated successfully.'] = 'تم تحديث ترتيب العناصر بنجاح';
+$lang['This theme was not designed to be directly activated'] = 'لم يتم تصميم هذه الواجهة لتفعيلها مباشرة';
+$lang['Pending Comments'] = 'تعليقات تحت الانتظار';
+$lang['In your php.ini file, the upload_max_filesize (%sB) is bigger than post_max_size (%sB), you should change this setting'] = 'ملف PHP.ini the upload_max_filesize (%sB) أكبر منpost_max_size (%sB), يتوجب عليك تغير الاعدادت';
+$lang['Exif extension not available, admin should disable exif use'] = 'خاصية Exif غير متاحة ، ينبغي على المدير تعطيلها';
+$lang['The uploaded file exceeds the upload_max_filesize directive in php.ini: %sB'] = 'الملف الذي تم تحميله يتجاوز upload_max_filesize  مباشرة في php.ini: %sB';
+$lang['The uploaded files exceed the post_max_size directive in php.ini: %sB'] = 'الملف الذي تم تحميلة يتجاوز post_max_size مباشرة في php.ini: %sB';
+$lang['The uploaded file exceeds the MAX_FILE_SIZE directive that was specified in the HTML form'] = 'الملف الذي تم تحميلة يتجاور  MAX_FILE_SIZE التوجيه الذي تم تحديده في شكل أتش تي أم أل';
+$lang['The uploaded file was only partially uploaded'] = 'الملف الذي رُفع ، تم رفه جزئيا ً ';
+$lang['No file was uploaded'] = 'لم يتم رفع الملفات';
+$lang['Missing a temporary folder'] = 'مجلد الملفات المؤقته مفقود';
+$lang['Failed to write file to disk'] = 'فشل في كتابة الملف للقرص';
+$lang['File upload stopped by extension'] = 'تم يقاف رفع الملفات بسبب امتداد الملفات';
+$lang['Unknown upload error'] = 'خطأ غير معروف في رفع الملفات';
+$lang['Error on file "%s" : %s'] = ' "%s" : %s خطأ في الملف';
+$lang['automatic order'] = 'ترتيب آلي';
+$lang['manual order'] = 'ترتيب يدوي';
+$lang['Albums automatically sorted'] = 'ترتيب الألبومات آليا ً ';
+$lang['Keep high definition'] = 'احتفظ بها بدقة عالية';
+$lang['The high definition maximum width must be a number between %d and %d'] = ' %d و %d يجب أن يكون الحد الاعلى لعرض الصور العالية الدقة بين ';
+$lang['The high definition maximum height must be a number between %d and %d'] = '%d و %d يجب أن يكون الحد الاعلى لطول الصور العالية الدقة بين';
+$lang['The high definition image quality must be a number between %d and %d'] = '%d و %d يجب أن يكون الحد الاعلى لجودة  الصور العالية الدقة بين';
+$lang['Batch Manager'] = 'دعم المدير';
+$lang['include child albums'] = 'تضمين الالبومات الفرعية';
+$lang['Selection'] = 'الاختيار';
+$lang['Action'] = 'الأداء';
+$lang['Set author'] = 'تعيين كاتب';
+$lang['Set title'] = 'تعيين عنوان';
+$lang['Set creation date'] = 'تعين تاريخ الأنشاء';
+$lang['Apply action'] = 'تطبيق الأجراءات';
+$lang['on the %d selected photos'] = 'تم اختيار الصور  %d في ';
+$lang['%d of %d photos selected'] = '%d من %d اختيار الصور';
+$lang['No photo selected, %d photos in current set'] = 'لم يتم اختيار صوره, %d صور في المجموعة الحالية';
+$lang['All %d photos are selected'] = 'كل %d الصور المختارة ';
+$lang['remove this filter'] = 'ازل هذه المرشح';
+$lang['predefined filter'] = 'مُرشح مُسبق';
+$lang['last import'] = 'آخر استيراد';
+$lang['with no virtual album'] = 'مع عدم وجود ألبوم ظاهري';
+$lang['duplicates'] = 'المكرر';
+$lang['Add a filter'] = 'أضف مُـرشح';
+$lang['Remove all filters'] = 'احذف جميع المُرشحات';
+$lang['Refresh photo set'] = 'حدث مجموعة الصور';
+$lang['The whole page'] = 'صفحة كاملة';
+$lang['The whole set'] = 'مجموعة كلمة';
+$lang['thumbnails per page'] = ' المصغرات في كل صفحة';
+$lang['No photo in the current set.'] = 'لا صور في المجموعة الحالية';
+$lang['No photo selected, no action possible.'] = 'لا توجد صور محددة ، أي إجراء ممكن';
+$lang['Choose an action'] = 'اختر اجراء';
+$lang['remove author'] = 'احذف الكاتب';
+$lang['Type here the author name'] = 'أكتب هنا أسم الكاتب ';
+$lang['remove title'] = 'احذف العنوان';
+$lang['Type here the title'] = 'أكتب هنا عنوان ';
+$lang['remove creation date'] = 'احذف تاريخ الانشاء';
+$lang['with no album'] = 'مع عدم وجود الألبوم';
+$lang['with no tag'] = 'مع عدم وجود كلمات دلائلية' 
 ?>