Index: /extensions/cl_conflit/js/jquery.dimensions.js
===================================================================
--- /extensions/cl_conflit/js/jquery.dimensions.js	(revision 8536)
+++ /extensions/cl_conflit/js/jquery.dimensions.js	(revision 8537)
@@ -106,22 +106,23 @@
                 if (elem.nodeName) nodeName = elem.nodeName;
 
-
+               
                 if (elem == window) {
 
-                    myposition = jQuery(this).attr("position") || "";
+                    myposition = "";
                     width = jQuery(elem).width();
                     height = jQuery(elem).height();
                 } else {
-                    myposition = jQuery(this).css("position") || "";
+                    Css = jQuery(elem).getStyles(elem);
+                    myposition = Css.position || "";
                     width = jQuery(elem).outerWidth();
                     height = jQuery(elem).outerHeight();
 
 
-                    borderwidth.left = jQuery(elem).Get_Val_int(jQuery(elem).css("borderLeftWidth"));
-                    borderwidth.right = jQuery(elem).Get_Val_int(jQuery(elem).css("borderRightWidth"));
-                    borderwidth.top = jQuery(elem).Get_Val_int(jQuery(elem).css("borderTopWidth"));
-                    borderwidth.bottom = jQuery(elem).Get_Val_int(jQuery(elem).css("borderBottomWidth"));
+                    borderwidth.left = jQuery(elem).Get_Val_int(Css.borderLeftWidth);
+                    borderwidth.right = jQuery(elem).Get_Val_int(Css.borderRightWidth);
+                    borderwidth.top = jQuery(elem).Get_Val_int(Css.borderTopWidth);
+                    borderwidth.bottom = jQuery(elem).Get_Val_int(Css.borderBottomWidth);
                     try {
-                        borderwidth.width = jQuery(elem).Get_Val_int(jQuery(elem).css("borderWidth"));
+                        borderwidth.width = Css.borderWidth;
                     } catch (e) {
                         borderwidth.width = '"' + borderwidth.left + ' ' + borderwidth.top + ' ' + borderwidth.right + ' ' + borderwidth.bottom + '"';
@@ -129,19 +130,22 @@
 
 
-                    margin.left = jQuery(elem).Get_Val_int(jQuery(elem).css("marginLeft"));
-                    margin.right = jQuery(elem).Get_Val_int(jQuery(elem).css("marginRight"));
-                    margin.top = jQuery(elem).Get_Val_int(jQuery(elem).css("marginTop"));
-                    margin.bottom = jQuery(elem).Get_Val_int(jQuery(elem).css("marginBottom"));
+
+                    margin.left = jQuery(elem).Get_Val_int(Css.marginLeft);
+                    margin.right = jQuery(elem).Get_Val_int(Css.marginRight);
+                    margin.top = jQuery(elem).Get_Val_int(Css.marginTop);
+                    margin.bottom = jQuery(elem).Get_Val_int(Css.marginBottom);
                     try {
-                        margin.margin = jQuery(elem).Get_Val_int(jQuery(elem).css("margin"));
+                        margin.margin = Css.margin;
                     } catch (e) {
                         margin.margin = '"' + margin.left + ' ' + margin.top + ' ' + margin.right + ' ' + margin.bottom + '"';
                     }
 
-                    padding.left = jQuery(elem).Get_Val_int(jQuery(elem).css("paddingLeft"));
-                    padding.right = jQuery(elem).Get_Val_int(jQuery(elem).css("paddingRight"));
-                    padding.top = jQuery(elem).Get_Val_int(jQuery(elem).css("paddingTop"));
-                    padding.bottom = jQuery(elem).Get_Val_int(jQuery(elem).css("paddingBottom"));
-                    try { padding.padding = jQuery(elem).Get_Val_int(jQuery(elem).css("padding")); } catch (e) {
+                    padding.left = jQuery(elem).Get_Val_int(Css.paddingLeft);
+                    padding.right = jQuery(elem).Get_Val_int(Css.paddingRight);
+                    padding.top = jQuery(elem).Get_Val_int(Css.paddingTop);
+                    padding.bottom = jQuery(elem).Get_Val_int(Css.paddingBottom);
+                    try {
+                        padding.padding = Css.padding;
+                    } catch (e) {
                         padding.padding = '"' + padding.left + ' ' + padding.top + ' ' + padding.right + ' ' + padding.bottom + '"';
                     }
@@ -222,4 +226,18 @@
             return jQuery(offsetParent);
         },
+        // getStyles(Obj) Récupérer la valeur CSS 
+        getStyles: function (elt) {
+            var element = elt;
+            if (window.getComputedStyle) // Mozilla Firefox & cie
+            {
+                var propriete = window.getComputedStyle(element, null);
+            }
+            else if (element.currentStyle) // Microsoft Internet Explorer
+            {
+
+                var propriete = element.currentStyle;
+            }
+            return propriete;
+        },
         /*
         * Get_val_int
@@ -247,6 +265,9 @@
             if (typeof (myObj) == "string") {
                 if (myObj == "none") return Maxi_val;
-                if (myObj == "auto") return Maxi_val;
-                var reg1 = new RegExp("px", "g")
+                var reg1 = new RegExp("auto", "g")
+                if (myObj.match(reg1)) {
+                    return Maxi_val;
+                }
+                reg1 = new RegExp("px", "g")
                 if (myObj.match(reg1)) {
 
Index: /extensions/cl_conflit/main.inc.php
===================================================================
--- /extensions/cl_conflit/main.inc.php	(revision 8536)
+++ /extensions/cl_conflit/main.inc.php	(revision 8537)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: cl_conflit
-Version: 1.0.5
+Version: 1.0.6
 Description: gestion des conflits entre jQuery et les autres librairies
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=474