Index: /extensions/event_cats/language/lv_LV/help.html
===================================================================
--- /extensions/event_cats/language/lv_LV/help.html	(revision 8551)
+++ /extensions/event_cats/language/lv_LV/help.html	(revision 8551)
@@ -0,0 +1,77 @@
+<!-- Keeps file coded in UTF-8 without BOM : é -->
+
+<h1>Notikumu stilists </h1>
+<h3>Ielogoties kontā, izmantojot vienu vienīgu URL; dublēt kontu </h3>
+<h5><span style = "font-style:italic;">Attēlot tieši: <a href = "#principles">Principi</a>, <a href = "#tabs">Iezīmes(Tabi)</a>, <a href = "#acknowledgements">Pateicības</a></span></h5> <h2><a name = "principles">Principi</a></h2>
+<p> &nbsp;&nbsp;&nbsp;&nbsp;Izmantojot notikumu stilistu (Event Cats), lietotājs var ielogoties  Piwigo bez lietotājvārda un paroles - automātiska ielogošanās <span style = "text-decoration:underline;">("autolog")</span>. Vēl tas atļauj apmeklētāja tikko izveidotajam kontam iegūt tādas pašas autorizācijas tiesības kā jau esošam kontamt - dubēšana <span style = "text-decoration:underline;">("duplication")</span>.<br />
+  <br />
+&nbsp;&nbsp;&nbsp;&nbsp;Tā nolūks ir dot jums iespēju, pēc notikuma, kurā jūs &quot;bijāt fotogrāfs ", ļoti vienkāršā veidā dalīties ar saviem attēliem ar cilvēkiem, kam vēl nav izveidots konts jūsu galerijā, rādot savus attēlus <span style = "text-decoration:underline;">privātā</span> kategorijā. Bet tam vēl var būt arī citi pielietojumi :-) ... </p>
+<hr width = "5%" align = "center"> <p> &nbsp;&nbsp;&nbsp;&nbsp;Automātiskā identifikācija notiek pateicoties "autolog" kodam, kas ietverts saitē, kuru jūs varat dot tiem cilvēkiem, kuriem gribat atļaut pieeju jūsu galerijai. Lietojot šo saiti, apmeklētāji pa taisno tiek ielogoti jūsu galerijā, izmantojot <u>kontu, kas saisīts</u> ar "autolog" kodu. Attēlotā lapa tūlīt pēc identifikācijas var būt:
+<ul> <li>mājas lapa ;</li>
+<li>kategorijas lapa;</li>
+<li>attēls;</li>
+<li>lapa no papildus lapām "<a href = "http://fr.piwigo.org/ext/extension_view.php?eid=153" title = "Open a window on plugin Additional Pages" onclick = "window.open(this.href); return false;">Additional Pages</a>", gadījumā, ja šis spraudnis ir uzinstalēts un aktivēts, un, ka vismaz viena no tā lapām ir pieejama.</li> </ul>
+&nbsp;&nbsp;&nbsp;&nbsp;Reiz identificējušies, jūsu apmeklētāji var izveidot savu <span style = "text-decoration:underline;">personīgo</span> kontu ar tādām pašām īpašībām kā kontam, kurā viņi iepriekš bija identificējušies. Šādā veidā ikviens var izveidot pats savu kontu un iegūt tūlītēju piekļuvi jūsu galerijas privātajam saturam, negaidot jūsu piekrišanu (validāciju). Jūs varat atļaut vai liegt konta dublēšanu, tādā pašā veidā jūs varat ļaut vai liegt piekļuvi privātai kategorijai, individuāli izvēloties grupas, konta statusu vai kontus.
+<p> &nbsp;&nbsp;&nbsp;&nbsp;Saite (URL), kas dod iespēju automātiski identificēties jūsu galerijā, ir veidota sekojoši:
+<ul><li style = "list-style-type:none;">http://<span style = "font-style:italic;">&#139;your gallery location&#155;</span><span style = "font-weight:bold;">&#38;autolog=<span style = "font-style:italic;">&#139;code&#155;</span></span></li></ul>
+&nbsp;&nbsp;&nbsp;&nbsp;Gadījumā, kad lietotājs ir jānovirza uz citu lapu nevis mājas lapu, tiek pievienoti sekojoši parametri: <span style = "font-weight:bold;">&#38;cat=<span style = "font-style:italic;">&#139;category identifier&#155;</span></span> kategorijai, <span style = "font-weight:bold;">&#38;img=<span style = "font-style:italic;">&#139;image identifier&#155;</span></span> attēlam (papildus kategorijas parametram), un <span style = "font-weight:bold;">&#38;ap=<span style = "font-style:italic;">&#139;Add. P. identifier&#155;</span></span> lapai no papildus lapu Additional Pages spraudņa. Ja  autologa URL ir noformēts ar <span style = "font-weight:bold;">&#38;img</span> parametru, izlaižot <span style = "font-weight:bold;">&#38;cat</span> parametru, tiks atvērta mājas lapa. Ja  autologa URL ir noformēts ar abiem  <span style = "font-weight:bold;">&#38;ap</span> un <span style = "font-weight:bold;">&#38;cat</span> parametriem (ar vai bez <span style = "font-weight:bold;">&#38;img</span> parametra), tiks atvērta papildus lapa Additional Page.<br />
+<br />
+&nbsp;&nbsp;&nbsp;&nbsp;Notikumu stilists (Event Cats) dod iespēju jums pārvaldīt dažādi asociētu kodu sarakstu, kas glabājas jūsu interneta vietnes datu bāzē. Katra kodu saturoša rindiņa ir Notikumu stilista (Events Cats) pieteikuma  <span style = "font-weight:bold;font-style:italic;">ieraksts (entry)</span>.<br />
+</p> <p></p>
+<h2><a name = "tabs"> Cilnes </a></h2>
+<p> &nbsp;&nbsp;&nbsp;&nbsp;Notikumu stilists tā pārvaldībai piedāvā piecas cilnes (iezīmes):
+<ul> <li><a href = "#autolog_new">Jauns autologs</a>;</li>
+  <li><a href = "#autolog_entries">Autologa pieteikšanās ieraksti </a> <span style = "font-style:italic;">(ja eksistē vismaz viens  "autolog" ieraksts)</span>;</li>
+  <li><a href = "#autolog_modif">Autologa modifikācija</a> <span style = "font-style:italic;">(ia eksistē vismaz viens  "autolog" ieraksts)</span>;</li>
+  <li><a href = "#duplication">Dublēšana</a> <span style = "font-style:italic;">(ja atļaut dublēšanu "Allow duplication" ir stāvoklī   - grupas sadaļai "Per group selection")</span>;</li>
+  <li><a href = "#config">Konfigurācija</a>.</li>
+</ul>
+</p> <p>
+<h4><a name = "autolog_new">Jauns autologs </a></h4>
+<p> &nbsp;&nbsp;&nbsp;&nbsp;Šī cilne jums dod iespēju veidot jaunus ierakstus datu bāzē. Ieraksts sasaista kodu ar lietotāju un attēlojamo lapu. Gadījumā, ja ir izdevīgi tam pašam lietotājam dot pieeju citām atšķirīgām lapām, kodu iespējams lietot vairākkārt. Bet, protams, viens un tas pats kods var būt sasaistīts tikai ar vienu lietotāju.<br />
+<br />
+&nbsp;&nbsp;&nbsp;&nbsp;Kad tiek veidots pieteikšanās ieraksts, var tikt izveidots arī konts, kas tiek izmantots šajā ierakstā. Konti, kas tiek izveidoti ar Notikumu Stilista palīdzību ir vispārējā tipa konti, kas domāti vairākiem atšķirīgiem lietotājiem. Konta nosaukumu var izveidot, izmantojot Notikumu Stilistu, ar nosacījumu, ka ir izvēlēta attēlojamā lapa, jo attēlojamās lapas nosaukums būs par pamatu jaunā konta nosaukuma izveidei. Ar Notikuma stilista palīdzību var izveidot arī grupu, Event Cats can also create a group, kura, piemēram būs saistīta ar izvēlēto kategoriju. Tādējādi, ja arī kodu iespējams ģenerēt ar Notikuma stilista palīdzību, ir iespējams izveidot pieteikuma ierakstu vienkārši izvēloties lapu, ko rādīt un tad, uzklikšķinot uz pogas Pilnībā automātiski  "Full auto".<br />
+<br />
+&nbsp;&nbsp;&nbsp;&nbsp;Tā kā rādāmā lapa ir pieminēta  URL (ar parametriem <span style = "font-weight:bold;">&#38;cat=<span style = "font-style:italic;">&#139;category identifier&#155;</span></span>, <span style = "font-weight:bold;">&#38;img=<span style = "font-style:italic;">&#139;image identifier&#155;</span></span>,un <span style = "font-weight:bold;">&#38;ap=<span style = "font-style:italic;">&#139;Add. P. identifier&#155;</span></span>, skatīt augstāk), lietotājam ir iespējas izmainīt pieprasāmo lapu, modificējot URL. Ja ar kodu saisītajam kontam nav atļaujas iet uz šo lapu, Piwigo to noteikti nerādīs - nekādu briesmu. Beit, lai izvairītos no paziņojuma &quot;Jūs neesat autorizēts, lai piekļūtu pieprasītajai lapai&quot;, jūs varat iestatīt attēlojamo lapu forsētā režīmā, tas nozīmē, ka Notikumu stilists novirza lietotāju uz lapu, kas tika defināta reizē ar pieteikšanās ierakstu, vienalga kādi būtu parametri <span style = "font-weight:bold;">&#38;cat</span>, <span style = "font-weight:bold;">&#38;img</span>, un/vai <span style = "font-weight:bold;">&#38;ap</span>, ja ir kāds, pieprasītajā URL.<br />
+&nbsp;&nbsp;&nbsp;&nbsp;Ja ieejas mēģinājums ir forsēts, tad tās kods, protams, Notikuma Stilista pieteikšanās sarakstā parādīsies tikai vienu reizi. Tādējādi, jāņem vērā, ka lietojot &quot;forsētu&quot; ieeju, nepieciešams izdzēst visus pieteikšanās ierakstus, kas lieto to pašu kodu.<br />
+<br />
+&nbsp;&nbsp;&nbsp;&nbsp;Lauks "Komentari" ir pilnībā izvēles (optional), tā vienīgais mērķis ir ļaut jums veikt nelieta teksta (maksimums 100 rakstzīmes) ievadi, kas parādīsies pieteikšanās ierakstu sarakstā (cilne <a href = "#autolog_entries">Autologa pieteikšanās ieraksti </a>) kā palīdzība vai jaunā rindiņā zem attiecīgā koda. </p>
+<h4><a name = "autolog_entries">Autologa pieteikšanās ieraksti </a></h4>
+<p> &nbsp;&nbsp;&nbsp;&nbsp;Šī cilne parādās, kad ir pieejams vizmaz viens "autologa" pieteikšanās ieraksts, un ļauj jums monitorēt visus jūsu datu bāzē pieejamos pieteikšanās ierakstus (ieejas). Ja ir izvēlēts pieteikšanās ieraksts, "URL" laukā parādās saistītā URL adrese, jūs varat nokopēt automātisko identifikācijas saiti un, piemēram, ielīmēt to e-pasta ziņojumā cilvēkiem ar kuriem jūs vēlaties dalīties ar saviem attēliem. Lielākā daļa pārlūku ar vienu klikšķi ļauj uzreiz atlasīt visu &quot;URL&quot; lauku, tā ka jums atliek vien to nokopēt.<br />
+<br />
+&nbsp;&nbsp;&nbsp;&nbsp;Šajā lapā pieejami sekojoši rīki:
+<ul> <li style = "list-style-image:url(plugins/event_cats/icon/disable.png);"> <span style = "font-weight:bold;">Padarīt pieteikšanās ierakstu nederīgu (outdated)</span>: šo rīku lieto, lai Notikumu Stilists atpazītu  "autologa" kodu, bet nedod atļauju lietotājam ielogoties.<br />
+    Kad klikšķiniet uz šī rīka, tiek attēlota cilne <a href = "#autolog_modif">Autologa modifikācija</a>, pie nosacījuma, ka ir aktīvs spraudnis  papildus lapas Additional Pages; ja nē, pieteikšanās ieraksts pa taisno tiek modoficēts ar  "Piekļuve noraidīta&quot; (Access denied) kā demonstrējamā lapa (pēc jūsu apstiprinājuma). Šis rīks dod iespēju turēt kodu aktīvu tikai noteiktu laika sprīdi, pēc kura vēlākie apmeklētāji tiks pāradresēti uz jūsu izvēlēto lapu. Patiesībā, lietojot autolog kodu, var tikt dota iespēja nevēlsmiem cilvēkiem tikt pie privāta satura, tādējādi šī lieta ir izdevīga tikai, riskējot to izmantot  īsu brīdi. Perfekts rīks, lai brīdinātu lietotājus, ka  URL pēc kāda laika nebūs izmantojams, ir spraudnis  <a href = "http://fr.piwigo.org/ext/extension_view.php?eid=190" title = "Open a new page on plugin PWG Stuffs" onClick = "window.open(this.href);return false;">PWG Stuffs</a>. (PWG komanda). </li>
+  <li style = "list-style-image:url(plugins/event_cats/icon/forced.png);"> <span style = "font-weight:bold;">Padarīt pieteikšanās ierakstu neforsētu</span>: Šis rīks ir analogs izvēles rūtiņas neatķeksēšanai  Forsēts "Forced" cilnē  <a href = "#autolog_modif">Autologa modifikācija</a>. Šādā veidā, jums ir dota iespēja izveidot citus pieteikšanās ierakstus, izmantojot to pašu kodu; un šī  URL lietotājiem būs dota iespēja mēģināt modificēt to (skatīt <a href = "#autolog_new">Jauns autologs</a> augstāk). </li>
+  <li style = "list-style-image:url(plugins/event_cats/icon/nforced.png);"> <span style = "font-weight:bold;">Forsēt pieteikšanos </span>: šis rīks ļauj piespiedu kārtā parādīt attiecīgā pieteikšanās ieraksta lapu (skatīt <a href = "#autolog_new">Jauns autologs</a> augstāk). </li>
+  <li style = "list-style-image:url(plugins/event_cats/icon/duplicate.png);"> <span style = "font-weight:bold;">Kopēt pieteikšanās ierakstu </span>: šis rīks ļauj pārvietoties uz cilni  <a href = "#autolog_new">Jauns autologs</a> un tieši atlasīt ierakstu, ko kopēt, tādējādi jums ir iespēja izveidot jaunu pieteikšanās ierakstu, lietojot to pašu kodu (un, protams, to pašu identificēto lietotāju), bet pārvirzot uz citu lapu.</li>
+  <li style = "list-style-image:url(plugins/event_cats/icon/url2.png);"> <span style = "font-weight:bold;">Testēt URL</span>: šis rīks ļauj pārbaudīt vai URL darbojas kā ieplānots. Uzmanību: protams, lietojot šo saiti, ir iespējams, ka var tikt izbeigta jūsu sesija un kā administratoru jūs var atslēgt no jūsu vietnes.</li>
+  <li style = "list-style-image:url(plugins/event_cats/icon/delete.png);"> <span style = "font-weight:bold;">Dzēst pieteikšanās ierakstu </span>: dzēš pieteikšanās ierakstu:-/ .<br />
+    Ņemiet vērā, ja apmeklētājs izmanto URL ietvertu "autolog" kodu, kas nav datu bāzē (piemēram, tas var būt kods, ko kādu laiku lietojāt un tad izdzēsāt), varat izvēlēties cilnē <a href = "#config">Konfigurācija</a> lapu, uz kuru varat tikt pāradresēt. </li>
+  <li style = "list-style-image:url(plugins/event_cats/icon/modify.png);"> <span style = "font-weight:bold;">Modificēt pieteikšanās ierakstu</span>: šis rīks novirza jūs uz cilni <a href = "#autolog_modif">Autologa modifikācija</a> un tieši atlasa modificējamo pieteikšanās ierakstu.</li>
+</ul>
+</p> <h4><a name = "autolog_modif">Autologa modifikācija</a></h4>
+<p> &nbsp;&nbsp;&nbsp;&nbsp;Arī šī cilne pieejama tikai tad, ja jūsu galerijai eksistē vismaz viens "autolog" pieteikšanās ieraksts, dod iespēju modificēt pieteikšanās ierakstu (patiešām...) Ja ne pieteikšanās ieraksta izveides laikā,  tad šeit ir iepēja izveidot pieteikšanās ierakstu nederīgs "outdated", izvēloties "Nevienu" kā  "Identificēto lietotāju", vai "Piekļuve liegta" kā "Attēlotā lapa". Ja izvēlēts "Neviens" kā "Identificētais lietotājs", un var tikt lietots spraudnis papildus lapas Additional Pages, lapu  Additional Page var izvēlēties kā lapu, ko rādīt.  Šādā veidā kodu var padarīt neaktīvu, bet attēlot personificētu skaidrojumu (skatīt palīdzību <img src = "plugins/event_cats/icon/disable.png">&nbsp;<span style = "font-weight:bold;">Padarīt pieteikšanās ierakstu nederīgu (outdated)</span> sekcijā <a href = "#autolog_entries">Autologa pieteikšanās ieraksti</a>). </p>
+<h4><a name = "duplication">Dublēšana</a></h4>
+<p> &nbsp;&nbsp;&nbsp;&nbsp;Šī cilne ir pieejama tikai tad, kad parametrs "Atļaut dublēšanu " ir iestatīts stāvoklī "Atlase pēc grupas ". Faktiski, ir bezjēdzīgi, ja dubkēšana atļauta visiem vai nevienam kontam.<br />
+&nbsp;&nbsp;&nbsp;&nbsp;Tas ļauj monitorēt dublēšanu: kuri konti var tikt dublēti, un kā tiks attēlotas dublēšanas saites. Konti tiek atlasīti tādā pašā veidā kā administrēšanas lapā  "Kategorijas atļauju pārvaldīšana&quot; ( Manage permissions for a category) (vienkārši nokopējot šo lapu:-/ ...).<br />
+&nbsp;&nbsp;&nbsp;&nbsp;Veids kādā dublēšanas saite tiek attēlota, dod iespēju saudzīgi apieties ar lietotājiem, kas sevi identificējuši kā vispārējo kontu lietotājus (Notikumu Stilists izveido tikai vispārējus kontus): ja apmeklētājs lietojis saiti, kas aktivē "autolog" kodu, tas tiek identificēts bez lietotājvārda un paroles ievadīšanas. Patiesībā viņam nav ne jausmas, kā &quot;nokopēt&quot; šo kontu, un tāpēc ir bezjēdzīgi ieteikt "dublēšanu", kā jēdzienu, kas dotajā brīdī nav īsti saprotams. Lietotājam vienkārši ir dota iespēja  "Reģistrēties" un, ja viņš to izvēlas (lai gan viņš jau ir identificējies), uzreiz gūst tādu pašu pieeju, kā kontam, kurā viņš iepriekš identificējā;  šādā veidā viņam ir dota atļauja izmantot jūsu galeriju, tās pašas kategorijas, kā kontam, kas saistīts ar jūsu pielietoto "autolog" kodu, bet kopā ar viņa personālo kontu, un ar to saistītām iespējām: personificēšana, komentāri ar konta nosaukumu... Reģistrēšanās notiek kā parasti un jūs, kā administrators, esat brīdināts, ka jūsu galerijai pievienojies jauns lietotājs. Faktiski e-pasts precizē "Identificēto lietotāju:", parādot kontu, ar kuru reģistrējoties identificējies jaunais lietotājs, gadījumā, ja izmantots "autolog" variants. Patlaban nav zināmu konfliktsituāciju ar spraudni <a href = "http://fr.piwigo.org/ext/extension_view.php?eid=216" title = "Open a new window on plugin NBC UserAdvManager" onClick = "window.open(this.href);return false;">NBC UserAdvManager</a> (pārvaldība pieredzējušiem lietotājiem). </p>
+<h4><a name = "config">Konfigurācija</a></h4>
+<p> &nbsp;&nbsp;&nbsp;&nbsp;Šī pēdējā cilne dod iespēju pārvaldīt sekojošus parametrus:
+<ul> <li><span style = "font-weight:bold;">Dublēšana</span>: ar tādiem pašiem parametriem kā cilnē <a href = "#duplication">Dublēšana</a>;</li>
+  <li><span style = "font-weight:bold;">Nezināms kods </span>: lapa, kas tiks rādīta gadījumā, ja apmeklētāji lieto  URL, kas sevī ietver  "autolog" kodu, kas neatrodas jūsu datu bāzē (piemēram, ja lietojat iepriekš izdzēstu kodu);</li>
+  <li><span style = "font-weight:bold;">Citi</span>:
+    <ul> <li>varat ierakstīt komentāru katram pieteikšanās ierakstam: cilnē <a href = "#autolog_entries">Autologa pieteikšanās ieraksti</a>, tas var tikt parādīts kā palīdzība vai kā skaidrojums zem kodiem;</li>
+      <li>ja aktivēts, help baneris var tikt parādīts katru reizi izmantojot cilni; citādi tas paliek paslēpts;</li>
+      <li>ja paziņojat cilvēkiem, kuriem jau ir pašiem savs konts jūsu galerijā, URL, lai automātiski ielogotos jūsu vispārējā kontā, šiem cilvēkiem būtu ērti tur ielogoties, lietojot saiti ielogoties "Log in".</li>
+    </ul> </li> </ul> </p> </p> <p></p>
+    <h2><a name = "acknowledgements">Pateicības</a></h2>
+    <p> <ul> <li><a href = "http://www.gauchon.fr" title = "Open a new window on P@t's site" onClick = "window.open(this.href);return false;">P@t</a> par funkcionālo kodu piegādi; bez viņa, Notikumu Stilista nemaz nebūtu ;-)&nbsp;!&nbsp;&nbsp;;</li>
+      <li><a href = "http://piwigo.org/forum/profile.php?id=3572" title = "Open a new window on ddtddt's profile" onClick = "window.open(this.href);return false;">ddtddt</a> un <a href = "http://www.vdigital.org" title = "Open a new window on VDigital's site" onClick = "window.open(this.href);return false;">VDigital</a> par palīdzību pēc iespējas ātrāk pilnveidot šo spraudni... (jā, bez viņu palīdzības tas  <span style = "font-style:italic;">patiešām </span>būtu ilgāk ...);</li>
+      <li><a href = "http://www.julien-moreau.fr" title = "Open a new window on Gotcha's site" onClick = "window.open(this.href);return false;">Gotcha</a> par manis palēnināšanu... liekot man koriģēt visu, kas nav bijis pietiekami skaits ;-)&nbsp;&nbsp;;</li>
+      <li><a href = "http://www.marie-noelle-augendre.com" title = "Open a new window on Tosca's site" onClick = "window.open(this.href);return false;">Tosca</a> par laiku, ko pavadījis cenšoties saprast manu angļu valodu... un manu franču valodu;-)&nbsp;!&nbsp;;</li>
+      <li><a href = "http://piwigo.wordpress.com" title = "Open a new window on plg's blog" onClick = "window.open(this.href);return false;">plg</a> arī veicinot kaut ko kaut kur, bet, ellē, ja atceros kur un ko??...;</li>
+      <li>un runājot vispārīgi, forumam (flipflip, flop25...), nav nekas jaukāks, lai virzītos uz priekšu!</li>
+      <li>Un, kā pēdējam, bet ne beidzamajam, <span style = "font-weight:bold;">jums</span>: par šī spraudņa lejupielādēšanu; ja iespējams, par tā izmantošanu; un par iespējamām atsūtītajām atsauksmēm, komentāriem, prasībām pēc iespēju raksturojuma lapā: <a href = "http://piwigo.org/forum/viewtopic.php?id=15622" title = "Open a new window on Event Cats discussion" onClick = "window.open(this.href);return false;">Diskusijas par Notikumu Stilistu Piwigo forumā</a>.</li>
+    </ul>
+    </p>